import { OnInit, ChangeDetectorRef, OnDestroy, ElementRef, SimpleChanges, OnChanges } from '@angular/core';
import { AgTableRowComponent } from '../ag-table-row/ag-table-row.component';
import { Helper } from '../services/helper';
export declare class AgTableCellComponent implements OnInit, OnChanges, OnDestroy {
    private elRef;
    private helper;
    detectorRef: ChangeDetectorRef;
    class: boolean;
    noTruncate: boolean;
    truncate: boolean;
    cellIndex: number;
    parent: AgTableRowComponent;
    private destroyed;
    readonly col: import("../ag-table").ɵc;
    dictionary: {};
    private readonly el;
    constructor(elRef: ElementRef<HTMLElement>, helper: Helper, detectorRef: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    onRender(parent: AgTableRowComponent, index: any): void;
    setWidth(): void;
    ngOnDestroy(): void;
}
