import { OnInit, EventEmitter, OnChanges, SimpleChanges, ElementRef } from '@angular/core';
import { AgTableComponent } from '../ag-table/ag-table.component';
export declare class AgTablePaginateComponent implements OnInit, OnChanges {
    private elRef;
    class: boolean;
    length: number;
    current: number;
    disabled: boolean;
    loading: boolean;
    objCaption: {
        start: number;
        end: number;
        total: number;
    };
    change: EventEmitter<number>;
    dictionary: {
        TOTAL_CAPTION: {
            ptBR: string;
            enUS: string;
        };
        WITHOUT_TOTAL_CAPTION: {
            ptBR: string;
            enUS: string;
        };
    };
    parent: AgTableComponent;
    caption: string;
    pages: any[];
    readonly el: HTMLElement;
    constructor(elRef: ElementRef<HTMLElement>);
    ngOnInit(): void;
    onRender(parent: AgTableComponent): void;
    ngOnChanges(changes: SimpleChanges): void;
    pageClick(page: number | string): void;
    generate(): void;
}
