import { OnInit, AfterViewInit, OnDestroy, ElementRef, ViewContainerRef, SimpleChanges, OnChanges } from '@angular/core';
import { AgTableBodyComponent } from '../ag-table-body/ag-table-body.component';
import { AgTableCellComponent } from '../ag-table-cell/ag-table-cell.component';
export declare class AgTableRowComponent implements OnInit, OnChanges, AfterViewInit, OnDestroy {
    private elRef;
    private viewContainer;
    class: boolean;
    private queryCells;
    noTruncate: boolean;
    private _height;
    readonly cells: AgTableCellComponent[];
    parent: AgTableBodyComponent;
    virtualIndex: number;
    index: number;
    dictionary: {};
    private subscription;
    readonly el: HTMLElement;
    constructor(elRef: ElementRef<HTMLElement>, viewContainer: ViewContainerRef);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngAfterViewInit(): void;
    onRender(parent: AgTableBodyComponent, virtualIndex: number): void;
    configureChildrens(): void;
    private defineClass;
    ngOnDestroy(): void;
}
