import { Helper } from './helper';
import { AgTableBodyComponent } from '../ag-table-body/ag-table-body.component';
export declare class AgTableVirtualScrollService {
    private helper;
    constructor(helper: Helper);
    defineItens(body: AgTableBodyComponent): void;
    onScrollChange(body: AgTableBodyComponent): void;
    reset(body: AgTableBodyComponent): void;
    defineDimensions(body: AgTableBodyComponent): {
        paddingTop: number;
        itemsThatAreGone: number;
        heightAllItems: number;
    };
    preparePreviousItemAfterDataChange(body: AgTableBodyComponent): void;
    canApplyVirtualScroll(body: AgTableBodyComponent): boolean;
    howManyCanAppear(body: AgTableBodyComponent): number;
}
