export declare class Helper {
    private datePipe;
    constructor();
    padLeft(text: string, qtty?: number, char?: string | number): string;
    padRight(text: string, qtty?: number, char?: string | number): string;
    randomNumber(min?: number, max?: number): number;
    onlyNumbers(text: string, exceptions?: string[]): string;
    onlyAlphaNumeric(text: string): string;
    onlyNumberAndToFloat(text: string): number;
    removeAccents(text: string): string;
    dateIsValid(date: string | Date, dateFormat?: string): boolean;
    toAmericanDate(date: string | Date, separator?: string): string;
    strToDate(date: string | Date, dateFormat?: string): Date;
    setDaysToDate(date: Date | string, days: number): Date;
    dateToStr(date: Date | string, format?: string): string;
    getDateToday(withHours?: boolean): Date;
    getYearOfDate(date: Date | string): number;
    getMonthOfDate(date: Date | string): number;
    getDayOfDate(date: Date | string): number;
    copyDate(date: Date): Date;
    dateFormat(date: Date | string, format?: string): string;
    strToDoubleCurrency(strCurrency: string): number;
    copy(obj: any): any;
    copyToClipboard(inputElement: any): void;
    getDiffOfDate(dateBegin: Date, dateEnd: Date, returnType?: string): number;
    stringReplace(source: any, str: any, strToRep: any): any;
}
