import { EventEmitter, OnInit, OnChanges, SimpleChanges, OnDestroy } from '@angular/core';
import { FormGroup, FormControl } from '@angular/forms';
import { Helper } from '../services/helper';
import { AgTableLangService } from '../services/ag-table-lang.service';
export declare class AgTableFilterComponent implements OnInit, OnChanges, OnDestroy {
    private helper;
    private langService;
    class: boolean;
    currentFilter: any;
    type: string;
    placeholder: string;
    dateFormat: string;
    optionAllLabel: string;
    options: {
        text: string;
        value: any;
    }[] | any[];
    frmControl: FormControl;
    onChange: EventEmitter<any>;
    onRender: EventEmitter<void>;
    private subscription;
    formFilter: FormGroup;
    selectAllOptionValue: any;
    private readonly debounceTime;
    dictionary: {
        CURRENCY_PH: {
            ptBR: string;
            enUS: string;
        };
        DATE_FORMAT: {
            ptBR: string;
            enUS: string;
        };
        YEAR_INITIAL: {
            ptBR: string;
            enUS: string;
        };
    };
    constructor(helper: Helper, langService: AgTableLangService);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    prepareData(): boolean;
    private isEmptyValue;
    ngOnDestroy(): void;
}
