(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/router'), require('@angular/forms'), require('rxjs'), require('rxjs/operators'), require('@angular/core'), require('@angular/common'), require('util')) :
    typeof define === 'function' && define.amd ? define('ag-table', ['exports', '@angular/router', '@angular/forms', 'rxjs', 'rxjs/operators', '@angular/core', '@angular/common', 'util'], factory) :
    (factory((global['ag-table'] = {}),global.ng.router,global.ng.forms,global.rxjs,global.rxjs.operators,global.ng.core,global.ng.common,global.util));
}(this, (function (exports,router,forms,rxjs,operators,i0,common,util) { 'use strict';

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var TRANSLATION = {};

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var TRANSLATION$1 = {
        TITULO: {
            ptBR: 'TITULO'
        }
    };

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @enum {string} */
    var AgTableFilterMode = {
        CONTAINS: 'contains',
        EQUALS: 'equals',
        STARTS_WITH: 'startsWith',
        ENDS_WITH: 'endsWith',
    };

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var TRANSLATION$2 = {
        ALL_OPTION: {
            ptBR: 'Todos',
            enUS: 'All'
        },
        DATE_FORMAT: {
            ptBR: 'dd/MM/yyyy',
            enUS: 'yyyy/MM/dd'
        }
    };

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @enum {string} */
    var AgTableFilterType = {
        NONE: 'none',
        TEXT: 'text',
        SELECT: 'select',
        DATE: 'date',
        CURRENCY: 'currency',
    };

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation. All rights reserved.
    Licensed under the Apache License, Version 2.0 (the "License"); you may not use
    this file except in compliance with the License. You may obtain a copy of the
    License at http://www.apache.org/licenses/LICENSE-2.0

    THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
    KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
    WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
    MERCHANTABLITY OR NON-INFRINGEMENT.

    See the Apache Version 2.0 License for specific language governing permissions
    and limitations under the License.
    ***************************************************************************** */
    function __values(o) {
        var m = typeof Symbol === "function" && o[Symbol.iterator], i = 0;
        if (m)
            return m.call(o);
        return {
            next: function () {
                if (o && i >= o.length)
                    o = void 0;
                return { value: o && o[i++], done: !o };
            }
        };
    }
    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m)
            return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done)
                ar.push(r.value);
        }
        catch (error) {
            e = { error: error };
        }
        finally {
            try {
                if (r && !r.done && (m = i["return"]))
                    m.call(i);
            }
            finally {
                if (e)
                    throw e.error;
            }
        }
        return ar;
    }
    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var Helper = /** @class */ (function () {
        function Helper() {
            this.datePipe = new common.DatePipe('en-US');
        }
        /**
         * @param {?} text
         * @param {?=} qtty
         * @param {?=} char
         * @return {?}
         */
        Helper.prototype.padLeft = /**
         * @param {?} text
         * @param {?=} qtty
         * @param {?=} char
         * @return {?}
         */
            function (text, qtty, char) {
                if (qtty === void 0) {
                    qtty = 2;
                }
                if (char === void 0) {
                    char = 0;
                }
                if (!util.isNullOrUndefined(text))
                    while (text.length < qtty)
                        text = char + text;
                return text;
            };
        /**
         * @param {?} text
         * @param {?=} qtty
         * @param {?=} char
         * @return {?}
         */
        Helper.prototype.padRight = /**
         * @param {?} text
         * @param {?=} qtty
         * @param {?=} char
         * @return {?}
         */
            function (text, qtty, char) {
                if (qtty === void 0) {
                    qtty = 2;
                }
                if (char === void 0) {
                    char = 0;
                }
                if (!util.isNullOrUndefined(text))
                    while (text.length < qtty)
                        text += char;
                return text;
            };
        /**
         * @param {?=} min
         * @param {?=} max
         * @return {?}
         */
        Helper.prototype.randomNumber = /**
         * @param {?=} min
         * @param {?=} max
         * @return {?}
         */
            function (min, max) {
                if (min === void 0) {
                    min = 1;
                }
                if (max === void 0) {
                    max = 9999;
                }
                /** @type {?} */
                var number = Math.floor(Math.random() * max);
                return Math.max(number, min);
            };
        /**
         * @param {?} text
         * @param {?=} exceptions
         * @return {?}
         */
        Helper.prototype.onlyNumbers = /**
         * @param {?} text
         * @param {?=} exceptions
         * @return {?}
         */
            function (text, exceptions) {
                if (exceptions === void 0) {
                    exceptions = null;
                }
                if (!util.isNullOrUndefined(text)) {
                    /** @type {?} */
                    var expression = (exceptions && exceptions.length) ? ('[^\\d|' + exceptions.join('|') + ']') : '[^\\d]';
                    return text.replace(new RegExp(expression, 'g'), '');
                }
                return '';
            };
        /**
         * @param {?} text
         * @return {?}
         */
        Helper.prototype.onlyAlphaNumeric = /**
         * @param {?} text
         * @return {?}
         */
            function (text) {
                if (!util.isNullOrUndefined(text))
                    return text.replace(/[^a-zA-Z0-9]+/g, '');
                return '';
            };
        /**
         * @param {?} text
         * @return {?}
         */
        Helper.prototype.onlyNumberAndToFloat = /**
         * @param {?} text
         * @return {?}
         */
            function (text) {
                if (text) {
                    /** @type {?} */
                    var strNumber = text.replace(/[^\d.\d]/g, '');
                    /** @type {?} */
                    var number = parseFloat(strNumber);
                    if (!isNaN(number))
                        return number;
                }
                return 0;
            };
        /**
         * @param {?} text
         * @return {?}
         */
        Helper.prototype.removeAccents = /**
         * @param {?} text
         * @return {?}
         */
            function (text) {
                return text ? text.normalize('NFD').replace(/[\u0300-\u036f]/g, '') : '';
            };
        /**
         * @param {?} date
         * @param {?=} dateFormat
         * @return {?}
         */
        Helper.prototype.dateIsValid = /**
         * @param {?} date
         * @param {?=} dateFormat
         * @return {?}
         */
            function (date, dateFormat) {
                return !util.isNullOrUndefined(this.strToDate(date, dateFormat));
            };
        /**
         * @param {?} date
         * @param {?=} separator
         * @return {?}
         */
        Helper.prototype.toAmericanDate = /**
         * @param {?} date
         * @param {?=} separator
         * @return {?}
         */
            function (date, separator) {
                if (separator === void 0) {
                    separator = '-';
                }
                if (date instanceof Date)
                    date = this.dateToStr(date);
                if (this.dateIsValid(date)) {
                    /** @type {?} */
                    var dateStr = ( /** @type {?} */(date));
                    if (dateStr && (dateStr.includes('-') || dateStr.includes('/'))) {
                        if (dateStr.includes('/'))
                            dateStr = dateStr.replace(/\//g, '-');
                        /** @type {?} */
                        var dateSplited = dateStr.split('-');
                        if (dateSplited.length >= 3) {
                            /** @type {?} */
                            var year = parseInt((dateSplited[0].length === 4) ? dateSplited[0] : dateSplited[2]);
                            /** @type {?} */
                            var month = parseInt(dateSplited[1]);
                            /** @type {?} */
                            var day = parseInt((dateSplited[0].length === 4) ? dateSplited[2] : dateSplited[0]);
                            /** @type {?} */
                            var arrayDate = [year, (month > 9 ? month : ('0' + month)), (day > 9 ? day : ('0' + day))];
                            return arrayDate.join(separator);
                        }
                    }
                }
                return ( /** @type {?} */(date));
            };
        /**
         * @param {?} date
         * @param {?=} dateFormat
         * @return {?}
         */
        Helper.prototype.strToDate = /**
         * @param {?} date
         * @param {?=} dateFormat
         * @return {?}
         */
            function (date, dateFormat) {
                var e_1, _a;
                if (typeof date === 'string' && (date.length >= 8 || dateFormat)) {
                    /** @type {?} */
                    var dateStr = (( /** @type {?} */(date)));
                    if (dateStr && (dateStr.includes('-') || dateStr.includes('/'))) {
                        if (dateStr.includes('/'))
                            dateStr = dateStr.replace(/\//g, '-');
                        dateStr = dateStr.substr(0, 10);
                        if (dateFormat)
                            dateFormat = dateFormat.replace(/\//g, '-');
                        /** @type {?} */
                        var dateSplited = dateStr.split('-');
                        /** @type {?} */
                        var length_1 = dateSplited.length;
                        if (length_1 >= 1) {
                            /** @type {?} */
                            var year = 1111;
                            /** @type {?} */
                            var month = 11;
                            /** @type {?} */
                            var day = 11;
                            if (length_1 >= 3) {
                                year = parseInt((dateSplited[0].length === 4) ? dateSplited[0] : dateSplited[2]);
                                month = parseInt(dateSplited[1]);
                                day = parseInt((dateSplited[0].length === 4) ? dateSplited[2] : dateSplited[0]);
                            }
                            else if (dateFormat) {
                                /** @type {?} */
                                var i = 0;
                                try {
                                    for (var _b = __values(dateFormat.split('-')), _c = _b.next(); !_c.done; _c = _b.next()) {
                                        var format = _c.value;
                                        try {
                                            if (format.toLowerCase().startsWith('y'))
                                                year = parseInt(dateSplited[i]);
                                            else if (format.toLowerCase().startsWith('m'))
                                                month = parseInt(dateSplited[i]);
                                            else if (format.toLowerCase().startsWith('d'))
                                                day = parseInt(dateSplited[i]);
                                        }
                                        catch (_d) { }
                                        i++;
                                    }
                                }
                                catch (e_1_1) {
                                    e_1 = { error: e_1_1 };
                                }
                                finally {
                                    try {
                                        if (_c && !_c.done && (_a = _b.return))
                                            _a.call(_b);
                                    }
                                    finally {
                                        if (e_1)
                                            throw e_1.error;
                                    }
                                }
                            }
                            /** @type {?} */
                            var arrayDate = [year, (month > 9 ? month : ('0' + month)), (day > 9 ? day : ('0' + day))];
                            dateStr = arrayDate.join('-');
                            if (dateStr)
                                return new Date(year, month - 1, day, 0, 0, 0);
                        }
                    }
                }
                else if (date instanceof Date)
                    return ( /** @type {?} */(date));
                return null;
            };
        /**
         * @param {?} date
         * @param {?} days
         * @return {?}
         */
        Helper.prototype.setDaysToDate = /**
         * @param {?} date
         * @param {?} days
         * @return {?}
         */
            function (date, days) {
                if (typeof date === 'string')
                    date = this.strToDate(date);
                else if (date)
                    date = this.copyDate(date);
                if (date && typeof days === 'number')
                    return new Date(date.setDate(date.getDate() + days));
                return date;
            };
        /**
         * @param {?} date
         * @param {?=} format
         * @return {?}
         */
        Helper.prototype.dateToStr = /**
         * @param {?} date
         * @param {?=} format
         * @return {?}
         */
            function (date, format) {
                if (format === void 0) {
                    format = 'dd/MM/yyyy';
                }
                if (!format)
                    format = 'dd/MM/yyyy';
                format = format.replace(/mm/g, 'MM');
                if (date) {
                    if (typeof date === 'string')
                        date = this.strToDate(date);
                    return this.datePipe.transform(date, format);
                }
                return null;
            };
        /**
         * @param {?=} withHours
         * @return {?}
         */
        Helper.prototype.getDateToday = /**
         * @param {?=} withHours
         * @return {?}
         */
            function (withHours) {
                if (withHours === void 0) {
                    withHours = false;
                }
                /** @type {?} */
                var today = new Date();
                if (withHours)
                    return today;
                else
                    return new Date(today.getFullYear(), today.getMonth(), today.getDate(), 0, 0, 0);
            };
        /**
         * @param {?} date
         * @return {?}
         */
        Helper.prototype.getYearOfDate = /**
         * @param {?} date
         * @return {?}
         */
            function (date) {
                date = this.strToDate(date);
                if (date)
                    return date.getFullYear();
                return 0;
            };
        /**
         * @param {?} date
         * @return {?}
         */
        Helper.prototype.getMonthOfDate = /**
         * @param {?} date
         * @return {?}
         */
            function (date) {
                date = this.strToDate(date);
                if (date)
                    return date.getMonth() + 1;
                return 0;
            };
        /**
         * @param {?} date
         * @return {?}
         */
        Helper.prototype.getDayOfDate = /**
         * @param {?} date
         * @return {?}
         */
            function (date) {
                date = this.strToDate(date);
                if (date)
                    return date.getDate();
                return 0;
            };
        /**
         * @param {?} date
         * @return {?}
         */
        Helper.prototype.copyDate = /**
         * @param {?} date
         * @return {?}
         */
            function (date) {
                if (date)
                    return new Date(date.toString());
                return date;
            };
        /**
         * @param {?} date
         * @param {?=} format
         * @return {?}
         */
        Helper.prototype.dateFormat = /**
         * @param {?} date
         * @param {?=} format
         * @return {?}
         */
            function (date, format) {
                if (format === void 0) {
                    format = 'dd/MM/yyyy';
                }
                date = this.strToDate(date);
                if (date)
                    return this.datePipe.transform(date, format);
                return null;
            };
        /**
         * @param {?} strCurrency
         * @return {?}
         */
        Helper.prototype.strToDoubleCurrency = /**
         * @param {?} strCurrency
         * @return {?}
         */
            function (strCurrency) {
                strCurrency = strCurrency.replace(/[,.]/g, ( /**
                 * @param {?} m
                 * @return {?}
                 */function (m) { return m === ',' ? '.' : ','; }));
                return Number(strCurrency);
            };
        /**
         * @param {?} obj
         * @return {?}
         */
        Helper.prototype.copy = /**
         * @param {?} obj
         * @return {?}
         */
            function (obj) {
                if (obj)
                    return JSON.parse(JSON.stringify(obj));
                else
                    return obj;
            };
        /**
         * @param {?} inputElement
         * @return {?}
         */
        Helper.prototype.copyToClipboard = /**
         * @param {?} inputElement
         * @return {?}
         */
            function (inputElement) {
                inputElement.focus();
                inputElement.select();
                /** @type {?} */
                var successful = document.execCommand('copy');
            };
        /**
         * @param {?} dateBegin
         * @param {?} dateEnd
         * @param {?=} returnType
         * @return {?}
         */
        Helper.prototype.getDiffOfDate = /**
         * @param {?} dateBegin
         * @param {?} dateEnd
         * @param {?=} returnType
         * @return {?}
         */
            function (dateBegin, dateEnd, returnType) {
                if (returnType === void 0) {
                    returnType = 'days';
                }
                if (dateBegin && dateEnd) {
                    /** @type {?} */
                    var delta = Math.abs(dateEnd.getTime() - dateBegin.getTime()) / 1000;
                    /** @type {?} */
                    var days = Math.floor(delta / 86400);
                    delta -= days * 86400;
                    /** @type {?} */
                    var hours = Math.floor(delta / 3600) % 24;
                    delta -= hours * 3600;
                    /** @type {?} */
                    var minutes = Math.floor(delta / 60) % 60;
                    delta -= minutes * 60;
                    /** @type {?} */
                    var seconds = Math.floor(delta % 60);
                    if (returnType === 'days')
                        return days;
                    else if (returnType === 'hours')
                        return hours;
                    else if (returnType === 'minutes')
                        return minutes;
                    else if (returnType === 'seconds')
                        return seconds;
                }
                return 0;
            };
        /**
         * @param {?} source
         * @param {?} str
         * @param {?} strToRep
         * @return {?}
         */
        Helper.prototype.stringReplace = /**
         * @param {?} source
         * @param {?} str
         * @param {?} strToRep
         * @return {?}
         */
            function (source, str, strToRep) {
                return source.replace(str, strToRep).toString();
            };
        Helper.decorators = [
            { type: i0.Injectable }
        ];
        /** @nocollapse */
        Helper.ctorParameters = function () { return []; };
        return Helper;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var AgTableCustomSettings = /** @class */ (function () {
        function AgTableCustomSettings() {
            this.lang = 'en-US';
        }
        AgTableCustomSettings.decorators = [
            { type: i0.Injectable, args: [{
                        providedIn: 'root'
                    },] }
        ];
        /** @nocollapse */ AgTableCustomSettings.ngInjectableDef = i0.defineInjectable({ factory: function AgTableCustomSettings_Factory() { return new AgTableCustomSettings(); }, token: AgTableCustomSettings, providedIn: "root" });
        return AgTableCustomSettings;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var AgTableSettings = /** @class */ (function () {
        function AgTableSettings(customSettings) {
            this.customSettings = customSettings;
            this.lang = 'en-US';
            Object.assign(this, this.customSettings);
        }
        AgTableSettings.decorators = [
            { type: i0.Injectable, args: [{
                        providedIn: 'root'
                    },] }
        ];
        /** @nocollapse */
        AgTableSettings.ctorParameters = function () {
            return [
                { type: AgTableCustomSettings }
            ];
        };
        /** @nocollapse */ AgTableSettings.ngInjectableDef = i0.defineInjectable({ factory: function AgTableSettings_Factory() { return new AgTableSettings(i0.inject(AgTableCustomSettings)); }, token: AgTableSettings, providedIn: "root" });
        return AgTableSettings;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var AgTableLangService = /** @class */ (function () {
        function AgTableLangService(settings) {
            this.settings = settings;
        }
        Object.defineProperty(AgTableLangService.prototype, "lang", {
            get: /**
             * @private
             * @return {?}
             */ function () { return this.settings.lang; },
            set: /**
             * @private
             * @param {?} value
             * @return {?}
             */ function (value) { this.settings.lang = value; },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(AgTableLangService.prototype, "langTranslation", {
            get: /**
             * @private
             * @return {?}
             */ function () { return this.lang.replace(/-/g, '').trim(); },
            enumerable: true,
            configurable: true
        });
        /**
         * @param {?} lang
         * @param {?=} reloadPage
         * @return {?}
         */
        AgTableLangService.prototype.setLang = /**
         * @param {?} lang
         * @param {?=} reloadPage
         * @return {?}
         */
            function (lang, reloadPage) {
                if (reloadPage === void 0) {
                    reloadPage = false;
                }
                this.lang = lang;
                if (reloadPage)
                    location.reload();
            };
        /**
         * @return {?}
         */
        AgTableLangService.prototype.getLang = /**
         * @return {?}
         */
            function () { return this.lang; };
        /**
         * @param {?} value
         * @param {?} dict
         * @param {?=} asString
         * @return {?}
         */
        AgTableLangService.prototype.getText = /**
         * @param {?} value
         * @param {?} dict
         * @param {?=} asString
         * @return {?}
         */
            function (value, dict, asString) {
                var _this = this;
                if (asString === void 0) {
                    asString = true;
                }
                /** @type {?} */
                var getText = ( /**
                 * @param {?=} arg
                 * @return {?}
                 */function (arg) {
                    /** @type {?} */
                    var observ = arg ? ( /** @type {?} */(arg)) : null;
                    if (!dict || JSON.stringify(dict) !== '{}') {
                        /** @type {?} */
                        var helper = _this.processValue(value, dict);
                        // tslint:disable-next-line:quotemark
                        if (typeof helper === "object") {
                            /** @type {?} */
                            var text = "-- WITHOUT TRANSLATION [" + value + "] --";
                            if (observ)
                                observ.next(text);
                            else
                                return text;
                        }
                        else {
                            if (observ)
                                observ.next(helper);
                            else
                                return helper;
                        }
                    }
                    else {
                        if (observ) {
                            if (dict && value in dict && _this.langTranslation in dict[value])
                                observ.next(dict[value][_this.langTranslation]);
                            else
                                observ.next('');
                        }
                        else {
                            if (dict && value in dict && _this.langTranslation in dict[value])
                                return dict[value][_this.langTranslation];
                            else
                                return '';
                        }
                    }
                    if (observ)
                        return ( /**
                         * @return {?}
                         */function () { return observ.unsubscribe(); });
                });
                if (!asString)
                    return new rxjs.Observable(getText);
                else
                    return getText();
            };
        /**
         * @private
         * @param {?} prop
         * @param {?=} dict
         * @return {?}
         */
        AgTableLangService.prototype.processValue = /**
         * @private
         * @param {?} prop
         * @param {?=} dict
         * @return {?}
         */
            function (prop, dict) {
                var e_1, _a;
                /** @type {?} */
                var positions = prop.split('.');
                /** @type {?} */
                var helper = null;
                if (dict && JSON.stringify(dict) !== '{}') {
                    helper = dict;
                    try {
                        for (var positions_1 = __values(positions), positions_1_1 = positions_1.next(); !positions_1_1.done; positions_1_1 = positions_1.next()) {
                            var _prop = positions_1_1.value;
                            if (_prop in helper)
                                helper = helper[_prop];
                        }
                    }
                    catch (e_1_1) {
                        e_1 = { error: e_1_1 };
                    }
                    finally {
                        try {
                            if (positions_1_1 && !positions_1_1.done && (_a = positions_1.return))
                                _a.call(positions_1);
                        }
                        finally {
                            if (e_1)
                                throw e_1.error;
                        }
                    }
                    if (this.langTranslation in helper)
                        helper = helper[this.langTranslation];
                }
                return helper ? helper : '';
            };
        AgTableLangService.decorators = [
            { type: i0.Injectable, args: [{
                        providedIn: 'root'
                    },] }
        ];
        /** @nocollapse */
        AgTableLangService.ctorParameters = function () {
            return [
                { type: AgTableSettings }
            ];
        };
        /** @nocollapse */ AgTableLangService.ngInjectableDef = i0.defineInjectable({ factory: function AgTableLangService_Factory() { return new AgTableLangService(i0.inject(AgTableSettings)); }, token: AgTableLangService, providedIn: "root" });
        return AgTableLangService;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var AgTableColComponent = /** @class */ (function () {
        function AgTableColComponent(helper, langService, fb, elRef) {
            this.helper = helper;
            this.langService = langService;
            this.fb = fb;
            this.elRef = elRef;
            this._class = true;
            this.width = null;
            this.filter = AgTableFilterType.NONE;
            this.field = '';
            this.mode = null;
            this.placeholder = '';
            this.dateFormat = '';
            this.optionAllLabel = '';
            this.options = [];
            /* DISABLED
                @Input('ready-only') public readOnly: boolean = false;
                @Input('min-date') public minDate: Date;
                @Input('max-date') public maxDate: Date;
                @Input('date-separator') public dateSeparator: string = '/'; */
            this.noSort = false;
            this.noTruncate = false;
            this.sort = null;
            this.disableFilter = false;
            this.filterValue = null;
            this.dictionary = TRANSLATION$2;
            this.colIndex = 0;
            this.canFiltering = false;
            this.fields = [];
            this.filterActive = false;
        }
        Object.defineProperty(AgTableColComponent.prototype, "_width", {
            get: /**
             * @return {?}
             */ function () { return (this.elRef && this.el) ? this.el.style.width : 'auto'; },
            set: /**
             * @param {?} value
             * @return {?}
             */ function (value) {
                if (this.el) {
                    this.el.style.width = value;
                    if (value && value.endsWith('%'))
                        this.el.style.maxWidth = ((this.helper.onlyNumberAndToFloat(value) * this.parent.el.clientWidth) / 100) + 'px';
                    else
                        this.el.style.maxWidth = value;
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(AgTableColComponent.prototype, "el", {
            get: /**
             * @return {?}
             */ function () { return (this.elRef && this.elRef.nativeElement) ? this.elRef.nativeElement : null; },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(AgTableColComponent.prototype, "canFilter", {
            get: /**
             * @return {?}
             */ function () {
                return (this.filter && this.filter !== AgTableFilterType.NONE && this.filter.toString() !== '') ||
                    (this.customFilter && (( /** @type {?} */(this.customFilter))).length > 0);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(AgTableColComponent.prototype, "isSorting", {
            get: /**
             * @return {?}
             */ function () { return this.parent && this.parent.colSorting && this.parent.colSorting.col === this; },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(AgTableColComponent.prototype, "isSortAsc", {
            get: /**
             * @return {?}
             */ function () { return this.isSorting && this.parent.colSorting.asc; },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        AgTableColComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
            };
        /**
         * @return {?}
         */
        AgTableColComponent.prototype.ngAfterViewInit = /**
         * @return {?}
         */
            function () {
                if (!this.optionAllLabel)
                    this.optionAllLabel = this.langService.getText('ALL_OPTION', this.dictionary);
                if (!this.dateFormat)
                    this.dateFormat = this.langService.getText('DATE_FORMAT', this.dictionary);
                if (!this.noSort && !this.field && (!this.customFilter || !(( /** @type {?} */(this.customFilter))).length)) {
                    this.filter = AgTableFilterType.NONE;
                    console.warn("The ordering will not applied because the [field] of column has not been defined.");
                }
            };
        /**
         * @param {?} changes
         * @return {?}
         */
        AgTableColComponent.prototype.ngOnChanges = /**
         * @param {?} changes
         * @return {?}
         */
            function (changes) {
                var _this = this;
                if (!changes || 'width' in changes) {
                    if (!this.widthIsValid())
                        this.width = 'auto';
                    if (this.widthIsValid() && this.helper.onlyNumbers(this.width) === this.width)
                        this.width += 'px';
                    if (this.parent && this.parent.cols) {
                        /** @type {?} */
                        var unit_1 = this.getWidthUnit();
                        if (unit_1 !== '' && this.parent.cols.some(( /**
                         * @param {?} x
                         * @return {?}
                         */function (x) { return x.getWidthUnit() !== '' && x.getWidthUnit() !== unit_1; }))) {
                            /** @type {?} */
                            var anotherUnit = this.parent.cols.find(( /**
                             * @param {?} x
                             * @return {?}
                             */function (x) { return x.getWidthUnit() !== '' && x.getWidthUnit() !== unit_1; })).getWidthUnit();
                            console.warn("A another column has width defined with like \"" + anotherUnit + "\". So this [width] was redefined as \"auto\".");
                            this.width = 'auto';
                            this.setWidth();
                            return;
                        }
                    }
                    if (this.getWidthUnit() === '%') {
                        if (parseFloat(this.width.replace(this.getWidthUnit(), '')) >= 100) {
                            console.warn("The columns cannot have width equal or greater than 100%.");
                            this.width = 'auto';
                            this.setWidth();
                            return;
                        }
                    }
                    this.setWidth();
                }
                if (changes) {
                    if ('noSort' in changes)
                        this.noSort = (typeof this.noSort === 'string' && (this.noSort === '' || this.noSort === 'true')) ? true : this.noSort;
                    if ('noTruncate' in changes)
                        this.noTruncate = (typeof this.noTruncate === 'string' && (this.noTruncate === '' || this.noTruncate === 'true')) ? true : this.noTruncate;
                    if ('sort' in changes) {
                        this.sort = !this.sort ? null : this.sort;
                        if (this.sort !== 'asc' && this.sort !== 'desc')
                            this.sort = null;
                        if (this.parent) {
                            this.parent.colSorting = {
                                col: this,
                                asc: this.sort === 'asc'
                            };
                            this.sort = null;
                            this.parent.parent.onSortChange();
                        }
                    }
                    if ('filter' in changes) {
                        if (!this.filter && this.filter.toString() !== '')
                            this.filter = AgTableFilterType.NONE;
                        else if (this.filter.toString() === '')
                            this.filter = AgTableFilterType.TEXT;
                        if (this.filter !== AgTableFilterType.NONE && !this.mode) {
                            switch (this.filter) {
                                case AgTableFilterType.TEXT:
                                case AgTableFilterType.CURRENCY:
                                    this.mode = AgTableFilterMode.CONTAINS;
                                    break;
                                case AgTableFilterType.SELECT:
                                case AgTableFilterType.DATE:
                                    this.mode = AgTableFilterMode.EQUALS;
                                    break;
                                default:
                                    this.mode = AgTableFilterMode.CONTAINS;
                                    break;
                            }
                        }
                        if (this.parent) {
                            if (this.field && this.parent.filterCtrls[this.field]) {
                                if (this.disableFilter)
                                    this.parent.filterCtrls[this.field].disable();
                                else
                                    this.parent.filterCtrls[this.field].enable();
                            }
                            else if (this.customFilter)
                                (( /** @type {?} */(this.customFilter))).forEach(( /**
                                 * @param {?} custom
                                 * @return {?}
                                 */function (custom) {
                                    if (_this.disableFilter)
                                        _this.parent.filterCtrls[custom.field].disable();
                                    else
                                        _this.parent.filterCtrls[custom.field].enable();
                                }));
                        }
                        if (this.canFilter && !this.field) {
                            this.filter = AgTableFilterType.NONE;
                            console.warn("The filter will not applied because the [field] of column has not been defined.");
                        }
                        setTimeout(( /**
                         * @return {?}
                         */function () {
                            if (_this.parent)
                                _this.parent.parent.definePaddingTop();
                        }));
                    }
                    if ('customFilter' in changes) {
                        if (this.canFilter && this.field) {
                            console.warn("The [custom-filter] will not applied because the [filter] has already been defined.");
                            this.customFilter = null;
                            return;
                        }
                        else {
                            if (this.customFilter && (util.isObject(this.customFilter) || typeof this.customFilter === 'string')) {
                                if (util.isObject(this.customFilter) && !util.isArray(this.customFilter))
                                    this.customFilter = [(( /** @type {?} */(this.customFilter)))];
                                else if (util.isArray(this.customFilter) && ((( /** @type {?} */(this.customFilter))).length > 0 && typeof this.customFilter[0] === 'string'))
                                    this.customFilter = (( /** @type {?} */(this.customFilter))).map(( /**
                                     * @param {?} field
                                     * @return {?}
                                     */function (field) { return ({ field: field }); }));
                                else if (!util.isObject(this.customFilter))
                                    this.customFilter = ( /** @type {?} */([{ field: this.customFilter }]));
                                if (!util.isArray(this.customFilter) || !(( /** @type {?} */(this.customFilter))).every(( /**
                                 * @param {?} x
                                 * @return {?}
                                 */function (x) { return (util.isObject(x) && x.field) ? true : false; }))) {
                                    console.warn("The [custom-filter] will not applied because field has not been informed or is invalid. The value should look like this: { field: string, mode?: string }");
                                    this.customFilter = null;
                                }
                                else {
                                    if (!this.noSort)
                                        this.noSort = (( /** @type {?} */(this.customFilter))).length > 1;
                                    (( /** @type {?} */(this.customFilter))).forEach(( /**
                                     * @param {?} filter
                                     * @return {?}
                                     */function (filter) {
                                        if (!filter.mode)
                                            filter.mode = AgTableFilterMode.CONTAINS;
                                    }));
                                    setTimeout(( /**
                                     * @return {?}
                                     */function () {
                                        if (_this.parent)
                                            _this.parent.parent.definePaddingTop();
                                    }));
                                }
                            }
                            else {
                                console.warn("The [custom-filter] will not applied because value is invalid. The value should look like this: { field: string, mode?: string }");
                                this.customFilter = null;
                            }
                        }
                    }
                }
            };
        /**
         * @param {?=} defaultValue
         * @return {?}
         */
        AgTableColComponent.prototype.makeFormControl = /**
         * @param {?=} defaultValue
         * @return {?}
         */
            function (defaultValue) {
                if (defaultValue === void 0) {
                    defaultValue = null;
                }
                return this.fb.control(defaultValue);
            };
        /**
         * @return {?}
         */
        AgTableColComponent.prototype.onFiltering = /**
         * @return {?}
         */
            function () {
                var _this = this;
                if (this.parent && this.parent.parent) {
                    if (this.parent) {
                        if (this.field)
                            this.filterActive = (this.parent.filterCtrls[this.field] && this.parent.filterCtrls[this.field].value !== null);
                        else if (this.customFilter)
                            this.filterActive = (( /** @type {?} */(this.customFilter))).some(( /**
                             * @param {?} custom
                             * @return {?}
                             */function (custom) {
                                return _this.parent.filterCtrls[custom.field] && _this.parent.filterCtrls[custom.field].value !== null;
                            }));
                    }
                    else
                        this.filterActive = false;
                    this.parent.parent.onFilterChange();
                }
            };
        /**
         * @return {?}
         */
        AgTableColComponent.prototype.onFilterRender = /**
         * @return {?}
         */
            function () {
                if (this.parent)
                    this.parent.parent.definePaddingTop();
            };
        /**
         * @return {?}
         */
        AgTableColComponent.prototype.toggleSort = /**
         * @return {?}
         */
            function () {
                if (this.parent && this.parent.parent && !this.parent.parent.loading) {
                    /** @type {?} */
                    var asc = void 0;
                    if (this.isSorting) {
                        if (this.parent.colSorting.asc) {
                            asc = false;
                            this.parent.colSorting = {
                                col: this,
                                asc: asc
                            };
                        }
                        else {
                            this.parent.colSorting = null;
                        }
                    }
                    else {
                        asc = true;
                        this.parent.colSorting = {
                            col: this,
                            asc: asc
                        };
                    }
                    this.parent.parent.onSortChange();
                }
            };
        /**
         * @private
         * @return {?}
         */
        AgTableColComponent.prototype.widthIsValid = /**
         * @private
         * @return {?}
         */
            function () {
                return !util.isNullOrUndefined(this.width) && (typeof this.width === 'string') && this.width !== '' && this.width !== 'auto';
            };
        /**
         * @private
         * @return {?}
         */
        AgTableColComponent.prototype.getWidthUnit = /**
         * @private
         * @return {?}
         */
            function () {
                return this.widthIsValid() ? this.width.replace(this.helper.onlyNumbers(this.width), '') : '';
            };
        /**
         * @param {?} parent
         * @param {?} index
         * @return {?}
         */
        AgTableColComponent.prototype.onRender = /**
         * @param {?} parent
         * @param {?} index
         * @return {?}
         */
            function (parent, index) {
                this.parent = parent;
                this.colIndex = index;
                this.canFiltering = this.canFilter && !util.isNullOrUndefined(this.parent.filterCtrls);
                this.fields = this.generateFieldsFilter();
                this.setWidth();
                this.ngOnChanges(null);
            };
        /**
         * @private
         * @return {?}
         */
        AgTableColComponent.prototype.generateFieldsFilter = /**
         * @private
         * @return {?}
         */
            function () {
                if (this.canFilter) {
                    if (this.field)
                        return [this.field];
                    else
                        return (( /** @type {?} */(this.customFilter))).map(( /**
                         * @param {?} custom
                         * @return {?}
                         */function (custom) { return custom.field; }));
                }
                return [];
            };
        /**
         * @return {?}
         */
        AgTableColComponent.prototype.setWidth = /**
         * @return {?}
         */
            function () {
                var _this = this;
                if (this.parent && this.parent.parent.body.itemsContainerEl && this.parent.parent.body.itemsContainerEl.nativeElement) {
                    if (!this.widthIsValid()) {
                        /** @type {?} */
                        var unit = '';
                        if (this.parent.cols.some(( /**
                         * @param {?} x
                         * @param {?} i
                         * @return {?}
                         */function (x, i) { return x.getWidthUnit() !== ''; })))
                            unit = this.parent.cols.find(( /**
                             * @param {?} x
                             * @param {?} i
                             * @return {?}
                             */function (x, i) { return x.getWidthUnit() !== ''; })).getWidthUnit();
                        if (unit === 'px') {
                            /** @type {?} */
                            var colsWithWidth = this.parent.cols.filter(( /**
                             * @param {?} x
                             * @param {?} i
                             * @return {?}
                             */function (x, i) { return i !== _this.colIndex && x.widthIsValid(); }));
                            /** @type {?} */
                            var widthDiff = colsWithWidth.reduce(( /**
                             * @param {?} prev
                             * @param {?} curr
                             * @return {?}
                             */function (prev, curr) { return prev + parseFloat(_this.helper.onlyNumbers(curr.width)); }), 0);
                            /** @type {?} */
                            var containerWidth = this.parent.el.clientWidth;
                            this._width = (containerWidth - widthDiff) / Math.abs(this.parent.cols.length - colsWithWidth.length) + 'px';
                        }
                        else {
                            if (!unit)
                                unit = '%';
                            /** @type {?} */
                            var colsWithWidth = this.parent.cols.filter(( /**
                             * @param {?} x
                             * @param {?} i
                             * @return {?}
                             */function (x, i) { return i !== _this.colIndex && x.widthIsValid(); }));
                            /** @type {?} */
                            var widthDiff = colsWithWidth.reduce(( /**
                             * @param {?} prev
                             * @param {?} curr
                             * @return {?}
                             */function (prev, curr) { return prev + parseFloat(_this.helper.onlyNumbers(curr.width)); }), 0);
                            this._width = (100 - widthDiff) / Math.abs(this.parent.cols.length - colsWithWidth.length) + unit;
                        }
                    }
                    else
                        this._width = this.width;
                }
                else
                    this._width = 'auto';
                this.setCellsWidth();
            };
        /**
         * @private
         * @return {?}
         */
        AgTableColComponent.prototype.setCellsWidth = /**
         * @private
         * @return {?}
         */
            function () {
                var _this = this;
                if (this.parent && this.parent.parent.body && this.parent.parent.body.rows.length) {
                    this.parent.parent.body.rows.forEach(( /**
                     * @param {?} row
                     * @return {?}
                     */function (row) {
                        /** @type {?} */
                        var cell = row.cells.find(( /**
                         * @param {?} cell
                         * @return {?}
                         */function (cell) { return cell.cellIndex === _this.colIndex; }));
                        if (cell)
                            cell.setWidth();
                    }));
                }
            };
        AgTableColComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'ag-table-col',
                        template: "<span *ngIf=\"!noSort\" class=\"ag-table-col-sort\" (click)=\"toggleSort()\" [ngClass]=\"{ 'sort-none': !isSorting, 'sort-asc': isSorting && isSortAsc, 'sort-desc': isSorting && !isSortAsc }\"></span>\r\n\r\n<div class=\"w-auto\" [ngClass]=\"{ 'text-truncate': !noTruncate && !customFilter }\">\r\n    <ng-content></ng-content>\r\n</div>\r\n\r\n<div *ngIf=\"canFiltering && parent?.filterCtrls\">\r\n    <ag-table-filter *ngFor=\"let field of fields\"\r\n        [frmControl]=\"parent?.filterCtrls[field]\"\r\n        [type]=\"filter\"\r\n        [placeholder]=\"placeholder\"\r\n        [dateFormat]=\"dateFormat\"\r\n        [optionAllLabel]=\"optionAllLabel\"\r\n        [options]=\"options\"\r\n        (onChange)=\"onFiltering()\" \r\n        (onRender)=\"onFilterRender()\"> \r\n    </ag-table-filter>\r\n</div>"
                    }] }
        ];
        /** @nocollapse */
        AgTableColComponent.ctorParameters = function () {
            return [
                { type: Helper },
                { type: AgTableLangService },
                { type: forms.FormBuilder },
                { type: i0.ElementRef }
            ];
        };
        AgTableColComponent.propDecorators = {
            _class: [{ type: i0.HostBinding, args: ['class.ag-table-col',] }],
            width: [{ type: i0.Input }],
            customFilter: [{ type: i0.Input, args: ['custom-filter',] }],
            filter: [{ type: i0.Input }],
            field: [{ type: i0.Input }],
            mode: [{ type: i0.Input }],
            placeholder: [{ type: i0.Input }],
            dateFormat: [{ type: i0.Input, args: ['date-format',] }],
            optionAllLabel: [{ type: i0.Input, args: ['option-all-label',] }],
            options: [{ type: i0.Input }],
            noSort: [{ type: i0.Input, args: ['no-sort',] }],
            noTruncate: [{ type: i0.Input, args: ['no-truncate',] }],
            sort: [{ type: i0.Input, args: ['sort',] }],
            disableFilter: [{ type: i0.Input, args: ['disable-filter',] }],
            filterValue: [{ type: i0.Input, args: ['filter-value',] }]
        };
        return AgTableColComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var AgTableHeaderComponent = /** @class */ (function () {
        function AgTableHeaderComponent(elRef, helper, fb) {
            this.elRef = elRef;
            this.helper = helper;
            this.fb = fb;
            this.class = true;
            this.dictionary = TRANSLATION$1;
            this.colSorting = null;
            this.frmFilter = this.fb.group({ none: [null] });
        }
        Object.defineProperty(AgTableHeaderComponent.prototype, "cols", {
            get: /**
             * @return {?}
             */ function () { return this.queryCols ? this.queryCols.toArray() : []; },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(AgTableHeaderComponent.prototype, "height", {
            get: /**
             * @return {?}
             */ function () { return (this.el) ? this.el.children[0].clientHeight + "px" : '0px'; },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(AgTableHeaderComponent.prototype, "visible", {
            get: /**
             * @return {?}
             */ function () { return (this.elRef && this.el) ? this.el.style.visibility !== 'hidden' : false; },
            set: /**
             * @param {?} value
             * @return {?}
             */ function (value) {
                if ((this.elRef && this.el))
                    this.el.style.visibility = (value ? '' : 'hidden');
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(AgTableHeaderComponent.prototype, "filterCtrls", {
            get: /**
             * @return {?}
             */ function () { return (this.frmFilter && this.frmFilter.controls) ? this.frmFilter.controls : null; },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(AgTableHeaderComponent.prototype, "el", {
            get: /**
             * @return {?}
             */ function () { return (this.elRef && this.elRef.nativeElement) ? this.elRef.nativeElement : null; },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        AgTableHeaderComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
            };
        /**
         * @return {?}
         */
        AgTableHeaderComponent.prototype.ngAfterViewInit = /**
         * @return {?}
         */
            function () {
            };
        /**
         * @private
         * @return {?}
         */
        AgTableHeaderComponent.prototype.makeForm = /**
         * @private
         * @return {?}
         */
            function () {
                /** @type {?} */
                var objControls = {};
                this.cols.forEach(( /**
                 * @param {?} col
                 * @return {?}
                 */function (col) {
                    if (col.canFilter) {
                        if (col.field) {
                            objControls[col.field] = col.makeFormControl();
                            if (col.disableFilter) {
                                objControls[col.field].disable();
                            }
                        }
                        else {
                            (( /** @type {?} */(col.customFilter))).forEach(( /**
                             * @param {?} custom
                             * @return {?}
                             */function (custom) {
                                objControls[custom.field] = col.makeFormControl(custom.value ? custom.value : null);
                                if (col.disableFilter) {
                                    objControls[col.field].disable();
                                }
                            }));
                        }
                    }
                }));
                if (Object.keys(objControls).length === 0)
                    objControls['none'] = this.fb.control(null);
                this.frmFilter = this.fb.group(objControls);
                if (this.parent && this.parent.loading)
                    this.frmFilter.disable();
            };
        /**
         * @return {?}
         */
        AgTableHeaderComponent.prototype.enableForm = /**
         * @return {?}
         */
            function () {
                var _this = this;
                this.cols.forEach(( /**
                 * @param {?} col
                 * @return {?}
                 */function (col) {
                    if (col.canFilter) {
                        if (col.field)
                            _this.checkFilterStatus(col.field, col);
                        else if (col.customFilter)
                            (( /** @type {?} */(col.customFilter))).forEach(( /**
                             * @param {?} custom
                             * @return {?}
                             */function (custom) {
                                _this.checkFilterStatus(custom.field, col);
                            }));
                    }
                }));
            };
        /**
         * @private
         * @param {?} field
         * @param {?} col
         * @return {?}
         */
        AgTableHeaderComponent.prototype.checkFilterStatus = /**
         * @private
         * @param {?} field
         * @param {?} col
         * @return {?}
         */
            function (field, col) {
                /** @type {?} */
                var control = this.filterCtrls[field];
                if (control) {
                    if (col.disableFilter)
                        control.disable();
                    else
                        control.enable();
                }
            };
        /**
         * @private
         * @param {?} field
         * @param {?} value
         * @param {?} col
         * @return {?}
         */
        AgTableHeaderComponent.prototype.checkDefaultValue = /**
         * @private
         * @param {?} field
         * @param {?} value
         * @param {?} col
         * @return {?}
         */
            function (field, value, col) {
                /** @type {?} */
                var control = this.filterCtrls[field];
                if (control && value)
                    control.setValue(col.filterValue);
            };
        /**
         * @param {?} parent
         * @return {?}
         */
        AgTableHeaderComponent.prototype.onRender = /**
         * @param {?} parent
         * @return {?}
         */
            function (parent) {
                this.parent = parent;
                this.configureChildrens();
                this.queryCols.changes.subscribe(this.configureChildrens.bind(this));
                this.onBodyWidthChange(this.parent.lastBodyWidth);
            };
        /**
         * @return {?}
         */
        AgTableHeaderComponent.prototype.configureChildrens = /**
         * @return {?}
         */
            function () {
                var _this = this;
                this.makeForm();
                this.cols.forEach(( /**
                 * @param {?} col
                 * @param {?} index
                 * @return {?}
                 */function (col, index) {
                    col.onRender(_this, index);
                    if (col.field)
                        _this.checkDefaultValue(col.field, col.filterValue, col);
                    else if (col.customFilter)
                        (( /** @type {?} */(col.customFilter))).forEach(( /**
                         * @param {?} custom
                         * @return {?}
                         */function (custom) {
                            _this.checkDefaultValue(custom.field, custom.value, col);
                        }));
                }));
                if (this.colSorting) {
                    if (this.parent.initialized)
                        this.parent.onSortChange();
                }
                else if (this.cols.some(( /**
                 * @param {?} x
                 * @return {?}
                 */function (x) { return x.sort === 'asc' || x.sort === 'desc'; }))) {
                    /** @type {?} */
                    var colSort = this.cols.find(( /**
                     * @param {?} x
                     * @return {?}
                     */function (x) { return x.sort === 'asc' || x.sort === 'desc'; }));
                    this.colSorting = {
                        col: colSort,
                        asc: colSort.sort === 'asc'
                    };
                    colSort.sort = null;
                    if (this.parent.initialized)
                        this.parent.onSortChange();
                }
                if (this.parent)
                    this.parent.definePaddingTop();
            };
        /**
         * @param {?} field
         * @return {?}
         */
        AgTableHeaderComponent.prototype.getColByField = /**
         * @param {?} field
         * @return {?}
         */
            function (field) {
                return this.cols.find(( /**
                 * @param {?} col
                 * @return {?}
                 */function (col) {
                    if (col.field)
                        return col.field === field;
                    else if (col.customFilter)
                        return (( /** @type {?} */(col.customFilter))).some(( /**
                         * @param {?} x
                         * @return {?}
                         */function (x) { return x.field === field; }));
                    return false;
                }));
            };
        /**
         * @param {?} field
         * @return {?}
         */
        AgTableHeaderComponent.prototype.getColFilterModeByField = /**
         * @param {?} field
         * @return {?}
         */
            function (field) {
                /** @type {?} */
                var col = this.getColByField(field);
                if (col) {
                    if (col.field)
                        return col.mode;
                    else if (col.customFilter) {
                        /** @type {?} */
                        var customFilter = (( /** @type {?} */(col.customFilter))).find(( /**
                         * @param {?} x
                         * @return {?}
                         */function (x) { return x.field === field; }));
                        if (customFilter)
                            return customFilter.mode;
                    }
                }
                return AgTableFilterMode.CONTAINS;
            };
        /**
         * @return {?}
         */
        AgTableHeaderComponent.prototype.getFormDataModel = /**
         * @return {?}
         */
            function () {
                /** @type {?} */
                var formValue = ( /** @type {?} */(this.frmFilter.value));
                /** @type {?} */
                var dataModel = {};
                for (var field in formValue) {
                    /** @type {?} */
                    var value = formValue[field];
                    if (!util.isNullOrUndefined(value) && value !== '')
                        dataModel[field] = value;
                }
                return dataModel;
            };
        /**
         * @param {?} currentWidth
         * @return {?}
         */
        AgTableHeaderComponent.prototype.onBodyWidthChange = /**
         * @param {?} currentWidth
         * @return {?}
         */
            function (currentWidth) {
                if (currentWidth && this.el) {
                    /** @type {?} */
                    var currentWidthNumber = this.helper.onlyNumberAndToFloat(currentWidth);
                    if (this.cols.length > 0) {
                        this.cols.forEach(( /**
                         * @param {?} col
                         * @return {?}
                         */function (col) { return col.setWidth(); }));
                        /** @type {?} */
                        var lastCol = this.cols[this.cols.length - 1];
                        if (this.el.clientWidth > currentWidthNumber) {
                            this.el.style.paddingRight = (this.el.clientWidth - currentWidthNumber) + 'px';
                            lastCol.el.style.paddingRight = '0px';
                        }
                        else {
                            this.el.style.paddingRight = '';
                            lastCol.el.style.paddingRight = '';
                        }
                    }
                }
            };
        /**
         * @return {?}
         */
        AgTableHeaderComponent.prototype.ngOnDestroy = /**
         * @return {?}
         */
            function () {
            };
        AgTableHeaderComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'ag-table-header',
                        template: "<form [formGroup]=\"frmFilter\">\r\n    <ng-content></ng-content>\r\n</form>"
                    }] }
        ];
        /** @nocollapse */
        AgTableHeaderComponent.ctorParameters = function () {
            return [
                { type: i0.ElementRef },
                { type: Helper },
                { type: forms.FormBuilder }
            ];
        };
        AgTableHeaderComponent.propDecorators = {
            class: [{ type: i0.HostBinding, args: ['class.ag-table-header',] }],
            queryCols: [{ type: i0.ContentChildren, args: [AgTableColComponent,] }]
        };
        return AgTableHeaderComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var TRANSLATION$3 = {
        EMPTY: {
            ptBR: 'Você não tem dados para serem exibidos.',
            enUS: 'You do not have data to display.'
        }
    };

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var TRANSLATION$4 = {};

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var TRANSLATION$5 = {};

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var AgTableCellComponent = /** @class */ (function () {
        function AgTableCellComponent(elRef, helper, detectorRef) {
            this.elRef = elRef;
            this.helper = helper;
            this.detectorRef = detectorRef;
            this.class = true;
            this.noTruncate = false;
            this.cellIndex = null;
            this.destroyed = false;
            this.dictionary = TRANSLATION$5;
            this.truncate = !this.noTruncate;
        }
        Object.defineProperty(AgTableCellComponent.prototype, "truncate", {
            get: /**
             * @return {?}
             */ function () { return this.el.classList.contains('text-truncate'); },
            set: /**
             * @param {?} value
             * @return {?}
             */ function (value) {
                if (this.el) {
                    if (value)
                        this.el.classList.add('text-truncate');
                    else
                        this.el.classList.remove('text-truncate');
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(AgTableCellComponent.prototype, "col", {
            get: /**
             * @return {?}
             */ function () {
                if (!util.isNullOrUndefined(this.cellIndex) &&
                    this.parent &&
                    this.parent.parent &&
                    this.parent.parent.parent &&
                    this.parent.parent.parent.header &&
                    this.parent.parent.parent.header.cols) {
                    if (this.cellIndex < this.parent.parent.parent.header.cols.length)
                        return this.parent.parent.parent.header.cols[this.cellIndex];
                    else {
                        console.error('There are more cells than columns. Please fix this.');
                        return null;
                    }
                }
                return null;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(AgTableCellComponent.prototype, "el", {
            get: /**
             * @private
             * @return {?}
             */ function () { return (this.elRef && this.elRef.nativeElement) ? this.elRef.nativeElement : null; },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        AgTableCellComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
            };
        /**
         * @param {?} changes
         * @return {?}
         */
        AgTableCellComponent.prototype.ngOnChanges = /**
         * @param {?} changes
         * @return {?}
         */
            function (changes) {
                if (changes) {
                    if ('noTruncate' in changes) {
                        this.noTruncate = (typeof this.noTruncate === 'string' && (this.noTruncate === '' || this.noTruncate === 'true')) ? true : this.noTruncate;
                        this.truncate = !this.noTruncate && (!this.parent || !this.parent.noTruncate);
                    }
                }
            };
        /**
         * @param {?} parent
         * @param {?} index
         * @return {?}
         */
        AgTableCellComponent.prototype.onRender = /**
         * @param {?} parent
         * @param {?} index
         * @return {?}
         */
            function (parent, index) {
                this.cellIndex = index;
                this.parent = parent;
                this.truncate = !this.noTruncate && (!this.parent || !this.parent.noTruncate);
                this.setWidth();
            };
        /**
         * @return {?}
         */
        AgTableCellComponent.prototype.setWidth = /**
         * @return {?}
         */
            function () {
                if (this.elRef && this.el) {
                    /** @type {?} */
                    var newWidth = this.col ? this.col._width : 'auto';
                    /** @type {?} */
                    var newMaxWidth = newWidth;
                    if (newWidth && newWidth.endsWith('%'))
                        newMaxWidth = ((this.helper.onlyNumberAndToFloat(newWidth) * this.parent.parent.el.clientWidth) / 100) + 'px';
                    if (newWidth !== this.el.style.width || newMaxWidth !== this.el.style.maxWidth) {
                        this.el.style.width = newWidth;
                        this.el.style.maxWidth = newMaxWidth;
                    }
                }
            };
        /**
         * @return {?}
         */
        AgTableCellComponent.prototype.ngOnDestroy = /**
         * @return {?}
         */
            function () {
            };
        AgTableCellComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'ag-table-cell',
                        template: "<ng-content></ng-content>"
                    }] }
        ];
        /** @nocollapse */
        AgTableCellComponent.ctorParameters = function () {
            return [
                { type: i0.ElementRef },
                { type: Helper },
                { type: i0.ChangeDetectorRef }
            ];
        };
        AgTableCellComponent.propDecorators = {
            class: [{ type: i0.HostBinding, args: ['class.ag-table-cell',] }],
            noTruncate: [{ type: i0.Input, args: ['no-truncate',] }]
        };
        return AgTableCellComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var AgTableRowComponent = /** @class */ (function () {
        function AgTableRowComponent(elRef, viewContainer) {
            this.elRef = elRef;
            this.viewContainer = viewContainer;
            this.class = true;
            this.noTruncate = false;
            this.dictionary = TRANSLATION$4;
        }
        Object.defineProperty(AgTableRowComponent.prototype, "_height", {
            get: /**
             * @private
             * @return {?}
             */ function () { return (this.el) ? this.el.style.minHeight : 'auto'; },
            set: /**
             * @private
             * @param {?} value
             * @return {?}
             */ function (value) {
                if (this.el) {
                    this.el.style.minHeight = value;
                    this.el.style.height = value;
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(AgTableRowComponent.prototype, "cells", {
            get: /**
             * @return {?}
             */ function () { return this.queryCells ? this.queryCells.toArray() : []; },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(AgTableRowComponent.prototype, "el", {
            get: /**
             * @return {?}
             */ function () { return (this.elRef && this.elRef.nativeElement) ? this.elRef.nativeElement : null; },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        AgTableRowComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
            };
        /**
         * @param {?} changes
         * @return {?}
         */
        AgTableRowComponent.prototype.ngOnChanges = /**
         * @param {?} changes
         * @return {?}
         */
            function (changes) {
                var _this = this;
                if (changes) {
                    if ('noTruncate' in changes) {
                        this.noTruncate = (typeof this.noTruncate === 'string' && (this.noTruncate === '' || this.noTruncate === 'true')) ? true : this.noTruncate;
                        if (this.cells.length)
                            this.cells.forEach(( /**
                             * @param {?} cell
                             * @return {?}
                             */function (cell) {
                                cell.truncate = !cell.noTruncate && !_this.noTruncate;
                            }));
                    }
                }
            };
        /**
         * @return {?}
         */
        AgTableRowComponent.prototype.ngAfterViewInit = /**
         * @return {?}
         */
            function () {
            };
        /**
         * @param {?} parent
         * @param {?} virtualIndex
         * @return {?}
         */
        AgTableRowComponent.prototype.onRender = /**
         * @param {?} parent
         * @param {?} virtualIndex
         * @return {?}
         */
            function (parent, virtualIndex) {
                this.parent = parent;
                this.virtualIndex = virtualIndex;
                this.index = this.parent.getRowIndexBasedVirtual(virtualIndex);
                this._height = this.parent.rowHeight;
                this.configureChildrens();
                this.defineClass();
                if (this.subscription)
                    this.subscription.unsubscribe();
                this.subscription = this.queryCells.changes.subscribe(this.configureChildrens.bind(this));
            };
        /**
         * @return {?}
         */
        AgTableRowComponent.prototype.configureChildrens = /**
         * @return {?}
         */
            function () {
                var _this = this;
                this.cells.forEach(( /**
                 * @param {?} cell
                 * @param {?} index
                 * @return {?}
                 */function (cell, index) {
                    cell.onRender(_this, index);
                }));
            };
        /**
         * @private
         * @return {?}
         */
        AgTableRowComponent.prototype.defineClass = /**
         * @private
         * @return {?}
         */
            function () {
                if (this.index >= 0) {
                    /** @type {?} */
                    var position = this.index + 1;
                    /** @type {?} */
                    var currentClassName = 'ag-table-row-' + ((position % 2) === 0 ? 'even' : 'odd');
                    /** @type {?} */
                    var previousClassName = 'ag-table-row-' + ((position % 2) === 0 ? 'odd' : 'even');
                    if (!this.el.classList.contains(currentClassName))
                        this.el.classList.add(currentClassName);
                    if (this.el.classList.contains(previousClassName))
                        this.el.classList.remove(previousClassName);
                }
            };
        /**
         * @return {?}
         */
        AgTableRowComponent.prototype.ngOnDestroy = /**
         * @return {?}
         */
            function () {
                if (this.subscription)
                    this.subscription.unsubscribe();
            };
        AgTableRowComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'ag-table-row',
                        template: "<ng-content></ng-content>"
                    }] }
        ];
        /** @nocollapse */
        AgTableRowComponent.ctorParameters = function () {
            return [
                { type: i0.ElementRef },
                { type: i0.ViewContainerRef }
            ];
        };
        AgTableRowComponent.propDecorators = {
            class: [{ type: i0.HostBinding, args: ['class.ag-table-row',] }],
            queryCells: [{ type: i0.ContentChildren, args: [AgTableCellComponent,] }],
            noTruncate: [{ type: i0.Input, args: ['no-truncate',] }]
        };
        return AgTableRowComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var AgTableVirtualScrollModel = /** @class */ (function () {
        function AgTableVirtualScrollModel(obj) {
            this.currentStartIndex = 0;
            this.currentEndIndex = 0;
            this.totalHeightContent = 0;
            this.paddingScroll = 0;
            this.previousItemsHeight = [];
            if (obj)
                Object.assign(this, obj);
        }
        Object.defineProperty(AgTableVirtualScrollModel.prototype, "currentSrollTop", {
            get: /**
             * @return {?}
             */ function () { return (this.containerSrollEl && this.containerSrollEl.nativeElement) ? this.containerSrollEl.nativeElement.scrollTop : 0; },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(AgTableVirtualScrollModel.prototype, "scrollHeight", {
            get: /**
             * @return {?}
             */ function () { return (this.containerSrollEl && this.containerSrollEl.nativeElement) ? this.containerSrollEl.nativeElement.scrollHeight : 0; },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(AgTableVirtualScrollModel.prototype, "height", {
            get: /**
             * @return {?}
             */ function () { return (this.containerSrollEl && this.containerSrollEl.nativeElement) ? this.containerSrollEl.nativeElement.clientHeight : 0; },
            enumerable: true,
            configurable: true
        });
        return AgTableVirtualScrollModel;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @template T
     */
    var /**
     * @template T
     */ AgTableDataRenderEvent = /** @class */ (function () {
        function AgTableDataRenderEvent(obj) {
            this.items = [];
            this.length = 0;
            this.startIndex = 0;
            this.endIndex = 0;
            Object.assign(this, obj);
        }
        return AgTableDataRenderEvent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var AgTableVirtualScrollService = /** @class */ (function () {
        function AgTableVirtualScrollService(helper) {
            this.helper = helper;
        }
        /**
         * @param {?} body
         * @return {?}
         */
        AgTableVirtualScrollService.prototype.defineItens = /**
         * @param {?} body
         * @return {?}
         */
            function (body) {
                /** @type {?} */
                var vs = body.virtualScroll;
                /** @type {?} */
                var table = body.parent;
                /** @type {?} */
                var dimensions = this.defineDimensions(body);
                vs.paddingScroll = dimensions.paddingTop;
                vs.totalHeightContent = dimensions.heightAllItems;
                vs.currentStartIndex = dimensions.itemsThatAreGone;
                vs.currentEndIndex = vs.currentStartIndex + this.howManyCanAppear(body);
                table.items = table.filteredItems.slice(vs.currentStartIndex, vs.currentEndIndex);
                table.onDataRender.emit(new AgTableDataRenderEvent({
                    items: table.items,
                    length: table.items.length,
                    startIndex: vs.currentStartIndex,
                    endIndex: vs.currentEndIndex
                }));
                table.isDataEmpty = table.items.length === 0;
            };
        /**
         * @param {?} body
         * @return {?}
         */
        AgTableVirtualScrollService.prototype.onScrollChange = /**
         * @param {?} body
         * @return {?}
         */
            function (body) {
                /** @type {?} */
                var vs = body.virtualScroll;
                for (var i = 0; i < body.itemsContainerEl.nativeElement.children.length; i++) {
                    /** @type {?} */
                    var children = body.itemsContainerEl.nativeElement.children[i];
                    /** @type {?} */
                    var realIndex = vs.currentStartIndex + i;
                    if (!vs.previousItemsHeight[realIndex])
                        vs.previousItemsHeight[realIndex] = children.getBoundingClientRect().height;
                }
                this.defineItens(body);
            };
        /**
         * @param {?} body
         * @return {?}
         */
        AgTableVirtualScrollService.prototype.reset = /**
         * @param {?} body
         * @return {?}
         */
            function (body) {
                /** @type {?} */
                var vs = body.virtualScroll;
                vs.previousItemsHeight = [];
                vs.totalHeightContent = 0;
                vs.paddingScroll = 0;
            };
        /**
         * @param {?} body
         * @return {?}
         */
        AgTableVirtualScrollService.prototype.defineDimensions = /**
         * @param {?} body
         * @return {?}
         */
            function (body) {
                var e_1, _a;
                /** @type {?} */
                var vs = body.virtualScroll;
                /** @type {?} */
                var rowHeight = parseInt(this.helper.onlyNumbers(body.rowHeight));
                /** @type {?} */
                var obj = {
                    paddingTop: 0,
                    itemsThatAreGone: 0,
                    heightAllItems: 0
                };
                obj.heightAllItems = body.parent.filteredItems.reduce(( /**
                 * @param {?} prev
                 * @param {?} curr
                 * @param {?} i
                 * @return {?}
                 */function (prev, curr, i) {
                    /** @type {?} */
                    var height = vs.previousItemsHeight[i];
                    return prev + (height ? height : rowHeight);
                }), 0);
                if (vs.currentSrollTop >= rowHeight) {
                    /** @type {?} */
                    var paddingTop = 0;
                    /** @type {?} */
                    var itemsThatAreGone = 0;
                    /** @type {?} */
                    var initialScroll = vs.currentSrollTop;
                    try {
                        for (var _b = __values(vs.previousItemsHeight), _c = _b.next(); !_c.done; _c = _b.next()) {
                            var h = _c.value;
                            /** @type {?} */
                            var height = h ? h : rowHeight;
                            if (initialScroll >= height) {
                                paddingTop += height;
                                initialScroll -= height;
                                itemsThatAreGone++;
                            }
                            else
                                break;
                        }
                    }
                    catch (e_1_1) {
                        e_1 = { error: e_1_1 };
                    }
                    finally {
                        try {
                            if (_c && !_c.done && (_a = _b.return))
                                _a.call(_b);
                        }
                        finally {
                            if (e_1)
                                throw e_1.error;
                        }
                    }
                    obj.paddingTop = paddingTop;
                    obj.itemsThatAreGone = itemsThatAreGone;
                }
                return obj;
            };
        /**
         * @param {?} body
         * @return {?}
         */
        AgTableVirtualScrollService.prototype.preparePreviousItemAfterDataChange = /**
         * @param {?} body
         * @return {?}
         */
            function (body) {
                /** @type {?} */
                var table = body.parent;
                /** @type {?} */
                var vs = body.virtualScroll;
                if (!table.infinity)
                    vs.previousItemsHeight = new Array(table.filteredItems.length).fill(null);
                else {
                    /** @type {?} */
                    var anothers = table.filteredItems.length - vs.previousItemsHeight.length;
                    if (anothers > 0)
                        vs.previousItemsHeight = __spread(vs.previousItemsHeight, (new Array(anothers).fill(null)));
                }
            };
        /**
         * @param {?} body
         * @return {?}
         */
        AgTableVirtualScrollService.prototype.canApplyVirtualScroll = /**
         * @param {?} body
         * @return {?}
         */
            function (body) {
                /** @type {?} */
                var vs = body.virtualScroll;
                if (body.parent && body.parent._height !== 'auto')
                    return true;
                else {
                    /** @type {?} */
                    var rowHeight = parseInt(this.helper.onlyNumbers(body.rowHeight));
                    /** @type {?} */
                    var avaiableScrollHeight = vs.scrollHeight - vs.height;
                    if (avaiableScrollHeight > rowHeight)
                        return (avaiableScrollHeight / rowHeight) >= 1.5;
                }
                return false;
            };
        /**
         * @param {?} body
         * @return {?}
         */
        AgTableVirtualScrollService.prototype.howManyCanAppear = /**
         * @param {?} body
         * @return {?}
         */
            function (body) {
                /** @type {?} */
                var vs = body.virtualScroll;
                /** @type {?} */
                var rowHeight = parseInt(this.helper.onlyNumbers(body.rowHeight));
                /** @type {?} */
                var height = vs.height ? vs.height : parseInt(this.helper.onlyNumbers(body.parent._height));
                return Math.floor((isNaN(height) ? 0 : height) / rowHeight) + 1;
            };
        AgTableVirtualScrollService.decorators = [
            { type: i0.Injectable }
        ];
        /** @nocollapse */
        AgTableVirtualScrollService.ctorParameters = function () {
            return [
                { type: Helper }
            ];
        };
        return AgTableVirtualScrollService;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var AgTableBodyComponent = /** @class */ (function () {
        function AgTableBodyComponent(langService, renderer, helper, elRef, dataVirtualScrollService) {
            this.langService = langService;
            this.renderer = renderer;
            this.helper = helper;
            this.elRef = elRef;
            this.dataVirtualScrollService = dataVirtualScrollService;
            this.class = true;
            this.clickable = false;
            this.minHeight = 40;
            this.rowHeight = this.minHeight + 'px';
            this.emptyMsg = '';
            this.dictionary = TRANSLATION$3;
            this.scrollInBottom = false;
            this.scrollEnabled = false;
            this.lastScrollTop = -1;
            this.eventsLineters = [];
        }
        Object.defineProperty(AgTableBodyComponent.prototype, "heightIsAuto", {
            get: /**
             * @return {?}
             */ function () { return this.parent && this.parent.height === 'auto'; },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(AgTableBodyComponent.prototype, "rows", {
            get: /**
             * @return {?}
             */ function () { return this.queryRows ? this.queryRows.toArray() : []; },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(AgTableBodyComponent.prototype, "el", {
            get: /**
             * @return {?}
             */ function () { return (this.elRef && this.elRef.nativeElement) ? this.elRef.nativeElement : null; },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        AgTableBodyComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
                this.virtualScroll = new AgTableVirtualScrollModel({
                    containerSrollEl: this.elRef
                });
            };
        /**
         * @return {?}
         */
        AgTableBodyComponent.prototype.ngAfterViewInit = /**
         * @return {?}
         */
            function () {
                if (!this.emptyMsg)
                    this.emptyMsg = this.langService.getText('EMPTY', this.dictionary);
            };
        /**
         * @param {?} changes
         * @return {?}
         */
        AgTableBodyComponent.prototype.ngOnChanges = /**
         * @param {?} changes
         * @return {?}
         */
            function (changes) {
                if ('rowHeight' in changes) {
                    if (this.helper.onlyNumbers(this.rowHeight) === this.rowHeight)
                        this.rowHeight += 'px';
                    if (util.isNullOrUndefined(this.rowHeight) || this.rowHeight === '') {
                        this.rowHeight = this.minHeight + 'px';
                        return;
                    }
                    else {
                        /** @type {?} */
                        var number_1 = this.helper.onlyNumbers(this.rowHeight);
                        /** @type {?} */
                        var unit = this.rowHeight.replace(number_1, '');
                        if (unit !== 'px') {
                            this.rowHeight = this.minHeight + 'px';
                            console.warn("The row-height is invalid. The height must be informed in \"px\".");
                            return;
                        }
                    }
                    /** @type {?} */
                    var number = parseInt(this.helper.onlyNumbers(this.rowHeight));
                    if (number < this.minHeight) {
                        this.rowHeight = this.minHeight + 'px';
                        console.warn("The row-height is invalid because the minimum height should be \"" + this.minHeight + "px\".");
                        return;
                    }
                }
            };
        /**
         * @param {?} parent
         * @return {?}
         */
        AgTableBodyComponent.prototype.onRender = /**
         * @param {?} parent
         * @return {?}
         */
            function (parent) {
                this.parent = parent;
                this.configureChildrens();
                this.applyListeners();
                this.scrollEnabled = this.parent.loading;
                this.parent.checkMinWidthcanApply();
                if (this.dataVirtualScrollService.canApplyVirtualScroll(this))
                    this.dataVirtualScrollService.defineItens(this);
                else
                    this.parent.items = this.parent.filteredItems;
                if (this.subscription)
                    this.subscription.unsubscribe();
                this.subscription = this.queryRows.changes.subscribe(this.configureChildrens.bind(this));
            };
        /**
         * @private
         * @return {?}
         */
        AgTableBodyComponent.prototype.configureChildrens = /**
         * @private
         * @return {?}
         */
            function () {
                var _this = this;
                this.clickable = this.parent.clickable;
                this.rows.forEach(( /**
                 * @param {?} row
                 * @param {?} index
                 * @return {?}
                 */function (row, index) {
                    row.onRender(_this, index);
                }));
            };
        /**
         * @private
         * @return {?}
         */
        AgTableBodyComponent.prototype.applyListeners = /**
         * @private
         * @return {?}
         */
            function () {
                if (this.eventsLineters && this.eventsLineters.length) {
                    this.eventsLineters.forEach(( /**
                     * @param {?} eventListener
                     * @return {?}
                     */function (eventListener) { return eventListener && eventListener(); }));
                    this.eventsLineters = [];
                }
                this.eventsLineters.push(this.renderer.listen(this.elRef.nativeElement, 'scroll', this.onScroll.bind(this)));
                this.eventsLineters.push(this.renderer.listen(this.elRef.nativeElement, 'mousewheel', this.onMouseWheel.bind(this)));
                this.eventsLineters.push(this.renderer.listen(this.elRef.nativeElement, 'DOMMouseScroll', this.onMouseWheel.bind(this)));
            };
        /**
         * @private
         * @return {?}
         */
        AgTableBodyComponent.prototype.dataTableInBottom = /**
         * @private
         * @return {?}
         */
            function () {
                /** @type {?} */
                var element = this.elRef.nativeElement;
                return element ? ((element.clientHeight + element.scrollTop) >= element.scrollHeight) : false;
            };
        /**
         * @private
         * @return {?}
         */
        AgTableBodyComponent.prototype.onScrollFinished = /**
         * @private
         * @return {?}
         */
            function () {
                if (this.parent.infinity && this.parent && !this.parent.dataAreOver) {
                    this.parent.currentPage++;
                    this.parent.emitGetData();
                }
            };
        /**
         * @param {?=} ev
         * @param {?=} forceChange
         * @return {?}
         */
        AgTableBodyComponent.prototype.onScroll = /**
         * @param {?=} ev
         * @param {?=} forceChange
         * @return {?}
         */
            function (ev, forceChange) {
                if (forceChange === void 0) {
                    forceChange = false;
                }
                if (!this.parent.loading) {
                    if (this.dataTableInBottom()) {
                        if (!this.scrollInBottom) {
                            this.scrollInBottom = true;
                            this.onScrollFinished();
                        }
                    }
                    else
                        this.scrollInBottom = false;
                }
                if (this.dataVirtualScrollService.canApplyVirtualScroll(this))
                    if (forceChange || this.lastScrollTop !== this.virtualScroll.currentSrollTop) {
                        this.lastScrollTop = this.virtualScroll.currentSrollTop;
                        this.dataVirtualScrollService.onScrollChange(this);
                    }
            };
        /**
         * @return {?}
         */
        AgTableBodyComponent.prototype.backToTheTop = /**
         * @return {?}
         */
            function () {
                this.el.scrollTop = 0;
            };
        /**
         * @param {?} virtualIndex
         * @return {?}
         */
        AgTableBodyComponent.prototype.getRowIndexBasedVirtual = /**
         * @param {?} virtualIndex
         * @return {?}
         */
            function (virtualIndex) {
                return this.virtualScroll.currentStartIndex + virtualIndex;
            };
        /**
         * @private
         * @return {?}
         */
        AgTableBodyComponent.prototype.onMouseWheel = /**
         * @private
         * @return {?}
         */
            function () {
                if (!this.dataVirtualScrollService.canApplyVirtualScroll(this))
                    this.onScroll();
            };
        /**
         * @param {?} currentWidth
         * @return {?}
         */
        AgTableBodyComponent.prototype.onBodyWidthChange = /**
         * @param {?} currentWidth
         * @return {?}
         */
            function (currentWidth) {
                if (currentWidth && this.el) {
                    if (this.rows.length)
                        this.rows.forEach(( /**
                         * @param {?} row
                         * @return {?}
                         */function (row) {
                            row.cells.forEach(( /**
                             * @param {?} cell
                             * @return {?}
                             */function (cell) { return cell.setWidth(); }));
                        }));
                }
            };
        /**
         * @return {?}
         */
        AgTableBodyComponent.prototype.ngOnDestroy = /**
         * @return {?}
         */
            function () {
                if (this.subscription)
                    this.subscription.unsubscribe();
                if (this.eventsLineters && this.eventsLineters.length) {
                    this.eventsLineters.forEach(( /**
                     * @param {?} eventListener
                     * @return {?}
                     */function (eventListener) { return eventListener && eventListener(); }));
                    this.eventsLineters = [];
                }
            };
        AgTableBodyComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'ag-table-body',
                        template: "\r\n<section [style.height]=\"parent?.items.length ? '100%' : 'auto'\">\r\n    <div class=\"total-padding\" [style.height.px]=\"virtualScroll.totalHeightContent\"></div>\r\n    <div #itemsContainer class=\"scrollable-content\"\r\n        [ngClass]=\"{ 'p-relative': parent?.height === 'auto' }\"\r\n        [style.transform]=\"'translateY(' + virtualScroll.paddingScroll + 'px)'\"\r\n        [style.top.px]=\"(parent?.infinity && parent?.loading && parent?.currentPage > 1) ? -80 : 0\"\r\n    >\r\n        <ng-content></ng-content>\r\n    </div>\r\n</section>\r\n\r\n<div class=\"ag-table-empty animated fadeIn\" *ngIf=\"(parent && !parent.loading && !parent.noEmptyView) && rows && rows.length <= 0\">\r\n    <span [innerHTML]=\"emptyMsg\"></span>   \r\n</div>\r\n\r\n<div *ngIf=\"parent?.infinity\" class=\"ag-table-infinity\" [ngClass]=\"{'ag-table-infinity-show': parent?.loading && parent?.currentPage > 1}\" [style.width.px]=\"itemsContainer.clientWidth\">\r\n    <div>\r\n        <ag-table-spinner></ag-table-spinner>\r\n    </div>\r\n</div>"
                    }] }
        ];
        /** @nocollapse */
        AgTableBodyComponent.ctorParameters = function () {
            return [
                { type: AgTableLangService },
                { type: i0.Renderer },
                { type: Helper },
                { type: i0.ElementRef },
                { type: AgTableVirtualScrollService }
            ];
        };
        AgTableBodyComponent.propDecorators = {
            class: [{ type: i0.HostBinding, args: ['class.ag-table-body',] }],
            clickable: [{ type: i0.HostBinding, args: ['class.clickable',] }],
            heightIsAuto: [{ type: i0.HostBinding, args: ['class.height-is-auto',] }],
            itemsContainerEl: [{ type: i0.ViewChild, args: ['itemsContainer',] }],
            queryRows: [{ type: i0.ContentChildren, args: [AgTableRowComponent,] }],
            rowHeight: [{ type: i0.Input, args: ['row-height',] }],
            emptyMsg: [{ type: i0.Input, args: ['empty-msg',] }]
        };
        return AgTableBodyComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @enum {string} */
    var AgTableChangeAction = {
        INITIALIZE: 'initialization',
        FILTER: 'filter',
        ORDER: 'order',
        PAGINATE: 'paginate',
    };

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var AgTableEvent = /** @class */ (function () {
        function AgTableEvent(obj) {
            this.page = 1;
            this.pageSize = 0;
            this.order = ( /** @type {?} */({}));
            this.resetData = false;
            Object.assign(this, obj);
        }
        return AgTableEvent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var AgTablePrepareService = /** @class */ (function () {
        function AgTablePrepareService(helper) {
            this.helper = helper;
        }
        /**
         * @param {?} data
         * @param {?} AgTable
         * @return {?}
         */
        AgTablePrepareService.prototype.apply = /**
         * @param {?} data
         * @param {?} AgTable
         * @return {?}
         */
            function (data, AgTable) {
                if (data && util.isArray(data) && data.length) {
                    if (!AgTable.serverSide) {
                        /** @type {?} */
                        var _data = void 0;
                        /** @type {?} */
                        var length_1 = data.length;
                        /** @type {?} */
                        var lengthPaginated = data.length;
                        if (AgTable.isFiltering) {
                            _data = this.applyFilter(data, AgTable);
                            length_1 = _data.length;
                        }
                        if (AgTable.isSorting) {
                            _data = this.applySort(_data ? _data : data, AgTable);
                            length_1 = _data.length;
                        }
                        if (AgTable.isPaging) {
                            _data = this.applyPaginate(_data ? _data : data, AgTable);
                            lengthPaginated = _data.length;
                        }
                        AgTable.setDataLength(length_1, lengthPaginated);
                        return _data ? _data : data;
                    }
                    return data;
                }
                else {
                    if (!AgTable.serverSide)
                        AgTable.setDataLength(0, 0);
                    return [];
                }
            };
        /**
         * @private
         * @param {?} data
         * @param {?} table
         * @return {?}
         */
        AgTablePrepareService.prototype.applyFilter = /**
         * @private
         * @param {?} data
         * @param {?} table
         * @return {?}
         */
            function (data, table) {
                var _this = this;
                /** @type {?} */
                var header = table.header;
                /** @type {?} */
                var frm = header.frmFilter;
                if (table.actionChange === AgTableChangeAction.FILTER)
                    table.setCurrentPage(1);
                /** @type {?} */
                var _data = data.filter(( /**
                 * @param {?} item
                 * @return {?}
                 */function (item) {
                    /** @type {?} */
                    var ok = true;
                    var _loop_1 = function (field) {
                        /** @type {?} */
                        var value;
                        if (field.includes('.')) {
                            /** @type {?} */
                            var fields = field.split('.');
                            value = item[fields[0]];
                            fields.slice(1).forEach(( /**
                             * @param {?} field
                             * @return {?}
                             */function (field) {
                                if (util.isObject(value))
                                    value = (field in value) ? value[field] : null;
                            }));
                        }
                        else
                            value = item[field];
                        /** @type {?} */
                        var filterCol = header.getColByField(field);
                        /** @type {?} */
                        var filterMode = header.getColFilterModeByField(field);
                        /** @type {?} */
                        var filterValue = frm.controls[field].value;
                        if (filterCol && filterCol.filter === AgTableFilterType.DATE) {
                            value = _this.helper.dateFormat(value, filterCol.dateFormat);
                            filterValue = filterValue;
                        }
                        else {
                            if (filterValue || (typeof filterValue === 'number'))
                                filterValue = _this.helper.removeAccents(( /** @type {?} */(filterValue.toString()))).toUpperCase();
                            else
                                filterValue = '';
                            if ((value || (typeof value === 'number')))
                                value = _this.helper.removeAccents(( /** @type {?} */(value.toString()))).toUpperCase();
                            else
                                value = '';
                        }
                        if (filterCol && !util.isNullOrUndefined(filterValue) && filterValue !== '') {
                            filterValue = _this.helper.removeAccents(( /** @type {?} */(filterValue.toString()))).toUpperCase();
                            switch (filterMode) {
                                case AgTableFilterMode.CONTAINS:
                                    ok = value.includes(filterValue);
                                    break;
                                case AgTableFilterMode.EQUALS:
                                    ok = value === filterValue;
                                    break;
                                case AgTableFilterMode.STARTS_WITH:
                                    ok = value.startsWith(filterValue);
                                    break;
                                case AgTableFilterMode.ENDS_WITH:
                                    ok = value.endsWith(filterValue);
                                    break;
                            }
                        }
                        if (!ok)
                            return "break";
                    };
                    for (var field in frm.controls) {
                        var state_1 = _loop_1(field);
                        if (state_1 === "break")
                            break;
                    }
                    return ok;
                }));
                return _data;
            };
        /**
         * @private
         * @param {?} data
         * @param {?} table
         * @return {?}
         */
        AgTablePrepareService.prototype.applySort = /**
         * @private
         * @param {?} data
         * @param {?} table
         * @return {?}
         */
            function (data, table) {
                if (table.actionChange === AgTableChangeAction.ORDER)
                    table.setCurrentPage(1);
                if (table.header.colSorting) {
                    /** @type {?} */
                    var col = table.header.colSorting.col;
                    /** @type {?} */
                    var asc_1 = table.header.colSorting.asc;
                    /** @type {?} */
                    var field_1 = '';
                    if (!col.field && col.customFilter && (( /** @type {?} */(col.customFilter))).length)
                        field_1 = (( /** @type {?} */(col.customFilter)))[0].field;
                    else
                        field_1 = col.field;
                    /** @type {?} */
                    var dateRegex_1 = new RegExp('^(-?(?:[1-9][0-9]*)?[0-9]{4})-(1[0-2]|0[1-9])-(3[01]|0[1-9]|[12][0-9])T(2[0-3]|[01][0-9]):([0-5][0-9]):([0-5][0-9])(.[0-9]+)?(Z)?$');
                    /** @type {?} */
                    var _data = data.sort(( /**
                     * @param {?} a
                     * @param {?} b
                     * @return {?}
                     */function (a, b) {
                        /** @type {?} */
                        var valueA = a[field_1];
                        /** @type {?} */
                        var valueB = b[field_1];
                        if (typeof valueA === 'string' && dateRegex_1.test(valueA))
                            valueA = new Date(valueA);
                        if (typeof valueB === 'string' && dateRegex_1.test(valueB))
                            valueB = new Date(valueB);
                        if (typeof valueA === 'string' && !isNaN(parseFloat(valueA)))
                            valueA = parseFloat(valueA);
                        if (typeof valueB === 'string' && !isNaN(parseFloat(valueB)))
                            valueB = parseFloat(valueB);
                        if (valueA < valueB)
                            return asc_1 ? -1 : 1;
                        if (valueA > valueB)
                            return asc_1 ? 1 : -1;
                        return 0;
                    }));
                    return _data;
                }
                return data;
            };
        /**
         * @private
         * @param {?} data
         * @param {?} table
         * @return {?}
         */
        AgTablePrepareService.prototype.applyPaginate = /**
         * @private
         * @param {?} data
         * @param {?} table
         * @return {?}
         */
            function (data, table) {
                /** @type {?} */
                var currentPage = table.currentPage;
                /** @type {?} */
                var size = table.paginate;
                /** @type {?} */
                var begin = (currentPage - 1) * size;
                /** @type {?} */
                var end = begin + size;
                /** @type {?} */
                var _data = data.slice(begin, end);
                return _data;
            };
        AgTablePrepareService.decorators = [
            { type: i0.Injectable }
        ];
        /** @nocollapse */
        AgTablePrepareService.ctorParameters = function () {
            return [
                { type: Helper }
            ];
        };
        return AgTablePrepareService;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var TRANSLATION$6 = {
        TOTAL_CAPTION: {
            ptBR: 'Exibindo de {{start}} até {{end}} de {{total}} .',
            enUS: 'Displaying from {{start}} to {{end}} of {{total}} .'
        },
        WITHOUT_TOTAL_CAPTION: {
            ptBR: 'Exibindo de {{start}} até {{end}} registros.',
            enUS: 'Displaying from {{start}} to {{end}} records.'
        }
    };

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var AgTablePaginateComponent = /** @class */ (function () {
        function AgTablePaginateComponent(elRef) {
            this.elRef = elRef;
            this.class = true;
            this.length = 0;
            this.current = 1;
            this.disabled = false;
            this.loading = false;
            this.change = new i0.EventEmitter();
            this.dictionary = TRANSLATION$6;
            this.pages = [];
        }
        Object.defineProperty(AgTablePaginateComponent.prototype, "el", {
            get: /**
             * @return {?}
             */ function () { return (this.elRef && this.elRef.nativeElement) ? this.elRef.nativeElement : null; },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        AgTablePaginateComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
            };
        /**
         * @param {?} parent
         * @return {?}
         */
        AgTablePaginateComponent.prototype.onRender = /**
         * @param {?} parent
         * @return {?}
         */
            function (parent) {
                this.parent = parent;
                this.parent.checkMinWidthcanApply();
            };
        /**
         * @param {?} changes
         * @return {?}
         */
        AgTablePaginateComponent.prototype.ngOnChanges = /**
         * @param {?} changes
         * @return {?}
         */
            function (changes) {
                if ('length' in changes || 'current' in changes)
                    this.generate();
            };
        /**
         * @param {?} page
         * @return {?}
         */
        AgTablePaginateComponent.prototype.pageClick = /**
         * @param {?} page
         * @return {?}
         */
            function (page) {
                if (!this.disabled && (typeof page) !== 'string' && page >= 1 && page <= this.length && page !== this.current) {
                    this.current = ( /** @type {?} */(page));
                    this.change.emit(this.current);
                    this.generate();
                }
            };
        /**
         * @return {?}
         */
        AgTablePaginateComponent.prototype.generate = /**
         * @return {?}
         */
            function () {
                var e_1, _a;
                /** @type {?} */
                var current = this.current;
                /** @type {?} */
                var last = this.length;
                /** @type {?} */
                var delta = 2;
                /** @type {?} */
                var left = current - delta;
                /** @type {?} */
                var right = current + delta + 1;
                /** @type {?} */
                var range = [];
                /** @type {?} */
                var rangeWithDots = [];
                /** @type {?} */
                var l;
                if (this.current > 0 && this.length > 0) {
                    for (var i = 1; i <= last; i++) {
                        if (i === 1 || i === last || i >= left && i < right)
                            range.push(i);
                    }
                    try {
                        for (var range_1 = __values(range), range_1_1 = range_1.next(); !range_1_1.done; range_1_1 = range_1.next()) {
                            var i = range_1_1.value;
                            if (l) {
                                if (i - l === 2)
                                    rangeWithDots.push(l + 1);
                                else if (i - l !== 1)
                                    rangeWithDots.push('...');
                            }
                            rangeWithDots.push(i);
                            l = i;
                        }
                    }
                    catch (e_1_1) {
                        e_1 = { error: e_1_1 };
                    }
                    finally {
                        try {
                            if (range_1_1 && !range_1_1.done && (_a = range_1.return))
                                _a.call(range_1);
                        }
                        finally {
                            if (e_1)
                                throw e_1.error;
                        }
                    }
                }
                this.pages = rangeWithDots;
            };
        AgTablePaginateComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'ag-table-paginate',
                        template: "<span *ngIf=\"objCaption && !loading\" class=\"caption animated fadeIn\" [ngClass]=\"{ 'p-b-7': (length <= 1 || pages.length === 0) }\">\r\n\t{{ (objCaption.total ? 'TOTAL_CAPTION' : 'WITHOUT_TOTAL_CAPTION') | translate:dictionary:objCaption }}\r\n</span>\r\n\r\n<ul *ngIf=\"length > 1 && pages.length > 0\">\r\n\t<li [ngClass]=\"{'disabled': current <= 1}\" class=\"animated fadeIn\">\r\n\t\t<button (click)=\"pageClick(current - 1)\">\r\n\t\t\t<i class=\"arrow-prev\"></i>\r\n\t\t</button>\r\n\t</li>\r\n\t<li *ngFor=\"let page of pages\" class=\"animated fadeIn\"\r\n\t\t[ngClass]=\"{'actived': page === current, 'disabled': disabled, 'interval': page === '...'}\">\r\n\t\t<button (click)=\"pageClick(page)\">\r\n\t\t\t<span>{{page}}</span>\r\n\t\t</button>\r\n\t</li>\r\n\t<li [ngClass]=\"{'disabled': current >= length}\" class=\"animated fadeIn\">\r\n\t\t<button (click)=\"pageClick(current + 1)\">\r\n\t\t\t<i class=\"arrow-next\"></i>\r\n\t\t</button>\r\n\t</li>\r\n</ul>"
                    }] }
        ];
        /** @nocollapse */
        AgTablePaginateComponent.ctorParameters = function () {
            return [
                { type: i0.ElementRef }
            ];
        };
        AgTablePaginateComponent.propDecorators = {
            class: [{ type: i0.HostBinding, args: ['class.ag-table-paginate',] }],
            length: [{ type: i0.Input }],
            current: [{ type: i0.Input }],
            disabled: [{ type: i0.Input }],
            loading: [{ type: i0.Input }],
            objCaption: [{ type: i0.Input }],
            change: [{ type: i0.Output }]
        };
        return AgTablePaginateComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var AgTableComponent = /** @class */ (function () {
        function AgTableComponent(elRef, helper, dataPrepareService, dataVirtualScrollService) {
            this.elRef = elRef;
            this.helper = helper;
            this.dataPrepareService = dataPrepareService;
            this.dataVirtualScrollService = dataVirtualScrollService;
            this.class = true;
            /**
             * THAT WILL DEFINE THE DATA TABLE HEIGHT, AND IT WILL HAS SCROLL BAR IN CASE OF OVERFLOW.
             */
            this.height = 'auto';
            /**
             * THIS DEFINE IF WILL GO PAGINATE OR NOT
             */
            this.paginate = null;
            /**
             * THIS DEFINE IF WILL GO BRING DATA BASED ON SCROLLING WHEN TO ARRIVE ON BOTTOM. (BUT USE THIS ONLY WITH SERVER-SIDE)
             */
            this.infinity = null;
            /**
             * SHOW LOADING SPINNER ABOVE THE DATA TABLE WHEN LOADING IS TRUE.
             */
            this.loading = null;
            /**
             * THE TOTAL DATA LENGTH. THIS IS USED FOR MAKE THE PAGINATION.
             */
            this.dataLength = 0;
            /**
             * DETERMINES WHETHER DATA WILL BE SWALLOWED VIA SERVER-SIDE
             */
            this.serverSide = false;
            /**
             * CALL REQUEST DATA ON INITIALIZATION DATA TABLE
             */
            this.getDataOnInit = false;
            /**
             * SET THE CURRENT PAGE WHEN USE PAGINATION
             */
            this.currentPage = 1;
            /**
             * Notifies that the data is gone (infinite-scroll only).
             */
            this.dataAreOver = false;
            /**
             * Sets whether to display empty-view or not.
             */
            this.noEmptyView = false;
            /**
             * Sets a minimum width in ag-table. When the minimum width is reached, the side table will scroll horizontally.
             */
            this.minWidth = '';
            this.allItems = [];
            /**
             * CALL/EMIT EVENT TO GET DATA (SERVER-SIDE)
             */
            this.onGetData = new i0.EventEmitter();
            /**
             * EMIT EVENT WICH ITEMS HAVEN BEEN RENDERED
             */
            this.onDataRender = new i0.EventEmitter();
            /**
             * EMIT EVENT WHEN THE ag-table HAS ALL BEEN RENDERED
             */
            this.onTableRender = new i0.EventEmitter();
            this.filterActivated = new i0.EventEmitter();
            this.items = [];
            this.filteredItems = [];
            this.dictionary = TRANSLATION;
            this.initialized = false;
            this.isDataEmpty = false;
            this.dataPaginatedLength = 0;
            this.actionChange = AgTableChangeAction.INITIALIZE;
            this.DOMisVisible = false;
            this.DOMcountVisibleChange = 0;
            this.lastBodyWidth = null;
            this.lastBodyHeight = null;
        }
        Object.defineProperty(AgTableComponent.prototype, "showEmptyView", {
            get: /**
             * @return {?}
             */ function () { return this.isDataEmpty && !this.noEmptyView; },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(AgTableComponent.prototype, "paddingTop", {
            get: /**
             * @private
             * @return {?}
             */ function () { return this.elRef && this.elRef.nativeElement ? this.elRef.nativeElement.style.paddingTop : '0px'; },
            set: /**
             * @private
             * @param {?} value
             * @return {?}
             */ function (value) {
                if (this.elRef && this.elRef.nativeElement)
                    this.elRef.nativeElement.style.paddingTop = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(AgTableComponent.prototype, "_height", {
            get: /**
             * @return {?}
             */ function () { return (this.el && this.el.style.height) ? this.el.style.height : 'auto'; },
            set: /**
             * @param {?} value
             * @return {?}
             */ function (value) {
                this.el.style.height = value;
                if (this.header) {
                    if (value === '0' || value === '0px')
                        this.header.visible = false;
                    else
                        this.header.visible = true;
                }
                this.definePaddingTop();
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(AgTableComponent.prototype, "header", {
            get: /**
             * @return {?}
             */ function () { return this.queryHeader ? this.queryHeader.first : null; },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(AgTableComponent.prototype, "body", {
            get: /**
             * @return {?}
             */ function () { return this.queryBody ? this.queryBody.first : null; },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(AgTableComponent.prototype, "topShadow", {
            get: /**
             * @return {?}
             */ function () {
                if (this.height !== 'auto') {
                    /** @type {?} */
                    var body = (this.body) ? this.body.el : null;
                    /** @type {?} */
                    var header = (this.header) ? this.header.el : null;
                    if (body && header)
                        return body.scrollTop >= (header.clientHeight / 2);
                }
                return false;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(AgTableComponent.prototype, "bottomShadow", {
            get: /**
             * @return {?}
             */ function () {
                if (this.height !== 'auto') {
                    /** @type {?} */
                    var body = (this.body) ? this.body.el : null;
                    /** @type {?} */
                    var header = (this.header) ? this.header.el : null;
                    if (body && header)
                        return (body.scrollTop + body.clientHeight) < body.scrollHeight;
                }
                return false;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(AgTableComponent.prototype, "isPaging", {
            get: /**
             * @return {?}
             */ function () { return this.paginate; },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(AgTableComponent.prototype, "isSorting", {
            get: /**
             * @return {?}
             */ function () { return this.header && this.header.colSorting; },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(AgTableComponent.prototype, "isFiltering", {
            get: /**
             * @return {?}
             */ function () {
                return ((this.header && this.header.cols) ? this.header.cols.some(( /**
                 * @param {?} x
                 * @return {?}
                 */function (x) { return x.canFilter; })) : false);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(AgTableComponent.prototype, "numPages", {
            get: /**
             * @return {?}
             */ function () {
                if (this.dataLength && this.isPaging) {
                    /** @type {?} */
                    var pages = Math.floor(this.dataLength / this.paginate);
                    return pages + (((this.dataLength / this.paginate) > pages) ? 1 : 0);
                }
                else
                    return 0;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(AgTableComponent.prototype, "el", {
            get: /**
             * @return {?}
             */ function () { return (this.elRef && this.elRef.nativeElement) ? this.elRef.nativeElement : null; },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        AgTableComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
            };
        /**
         * @return {?}
         */
        AgTableComponent.prototype.ngAfterViewInit = /**
         * @return {?}
         */
            function () {
                var _this = this;
                setTimeout(( /**
                 * @return {?}
                 */function () {
                    if (_this.body.el) {
                        _this.lastBodyWidth = _this.body.el.clientWidth + 'px';
                        _this.lastBodyHeight = _this.body.el.clientHeight + 'px';
                    }
                    _this.body.onRender(_this);
                    _this.header.onRender(_this);
                    if (_this.paginateComp)
                        _this.paginateComp.onRender(_this);
                    _this.queryHeader.changes.subscribe(( /**
                     * @return {?}
                     */function () { return _this.definePaddingTop(); }));
                    _this.definePaddingTop();
                    setTimeout(( /**
                     * @return {?}
                     */function () { return _this.onTableRender.emit(); }));
                    if (_this.getDataOnInit)
                        _this.emitGetData();
                    if (_this.infinity && !_this.heightIsValid())
                        console.warn("The infinity scroll mode not working, because data table height has not been set.");
                    if (!_this.infinity && _this.body)
                        _this.body.backToTheTop();
                    _this.filterActivated.emit(false);
                    _this.initialized = true;
                }));
            };
        /**
         * @return {?}
         */
        AgTableComponent.prototype.ngAfterContentChecked = /**
         * @return {?}
         */
            function () {
                if (this.elRef && this.elRef.nativeElement) {
                    /** @type {?} */
                    var elem = this.elRef.nativeElement;
                    /** @type {?} */
                    var visible = !!(elem.offsetWidth || elem.offsetHeight || elem.getClientRects().length);
                    if (visible !== this.DOMisVisible) {
                        this.DOMisVisible = visible;
                        if (this.DOMisVisible && this.DOMcountVisibleChange > 0)
                            this.body.onScroll();
                        this.DOMcountVisibleChange++;
                    }
                }
                else
                    this.DOMisVisible = false;
                this.onCheckBodyDimensions();
            };
        /**
         * @param {?} changes
         * @return {?}
         */
        AgTableComponent.prototype.ngOnChanges = /**
         * @param {?} changes
         * @return {?}
         */
            function (changes) {
                var _this = this;
                setTimeout(( /**
                 * @return {?}
                 */function () {
                    if ('serverSide' in changes)
                        _this.serverSide = (typeof _this.serverSide === 'string' && (_this.serverSide === '' || _this.serverSide === 'true')) ? true : _this.serverSide;
                    if ('noEmptyView' in changes)
                        _this.noEmptyView = (typeof _this.noEmptyView === 'string' && (_this.noEmptyView === '' || _this.noEmptyView === 'true')) ? true : _this.noEmptyView;
                    if ('clickable' in changes) {
                        _this.clickable = (typeof _this.clickable === 'string' && (_this.clickable === '' || _this.clickable === 'true')) ? true : _this.clickable;
                        if (_this.body)
                            _this.body.clickable = _this.clickable;
                    }
                    if ('height' in changes) {
                        if (_this.height !== 'auto' && !_this.heightIsValid()) {
                            console.warn("The height of table is invalid.");
                            _this.height = 'auto';
                        }
                        _this._height = _this.height;
                        _this.prepareItemsPagingAndFilter();
                        if (!_this.infinity && _this.body)
                            _this.body.backToTheTop();
                    }
                    if ('minWidth' in changes) {
                        if (!_this.minWidthIsValid()) {
                            console.warn("The min-width of table is invalid.");
                            _this.minWidth = '';
                        }
                        if (!_this.minWidthIsValid())
                            _this.stopListenerWidth();
                        else
                            _this.startListenerWidth();
                    }
                    if ('currentPage' in changes) {
                        if (typeof _this.currentPage === 'string') {
                            if (!isNaN(parseInt(_this.currentPage)))
                                _this.currentPage = parseInt(_this.currentPage);
                            else {
                                console.warn("The current-page value of table is invalid. The current-page value has been defined as 1.");
                                _this.currentPage = 1;
                            }
                        }
                        if (typeof _this.currentPage !== 'number' || _this.currentPage <= 0) {
                            console.warn("The current-page value of table is invalid. The current-page value has been defined as 1.");
                            _this.currentPage = 1;
                        }
                        if (_this.currentPage > _this.paginate && _this.currentPage < 1)
                            _this.currentPage = 1;
                        _this.onPageChange(_this.currentPage, !_this.serverSide);
                    }
                    if ('paginate' in changes) {
                        if (typeof _this.paginate === 'string') {
                            if (!isNaN(parseInt(_this.paginate)))
                                _this.paginate = parseInt(_this.paginate);
                            else {
                                console.warn("The [paginate] value of table is invalid. The paginate has not been applied.");
                                _this.paginate = null;
                            }
                        }
                        if (_this.isPaging && _this.infinity) {
                            console.warn("The [paginate] has not been applied because [infinity] already has been defined.");
                            _this.paginate = null;
                        }
                        if (_this.paginate) {
                            if (_this.currentPage > _this.paginate)
                                _this.currentPage = 1;
                            if (_this.serverSide)
                                _this.updatePaginateConfig();
                        }
                        _this.onPageChange(_this.currentPage, !_this.serverSide);
                        _this.definePaddingBottom();
                    }
                    if ('infinity' in changes) {
                        if (typeof _this.infinity === 'string') {
                            if (!isNaN(parseInt(_this.infinity)))
                                _this.infinity = parseInt(_this.infinity);
                            else {
                                console.warn("The [infinity] value of table is invalid. The infinity scroll has not been applied.");
                                _this.infinity = null;
                            }
                        }
                        if (_this.infinity && _this.paginate) {
                            console.warn("The [infinity] has not been applied because [paginate] already has been defined.");
                            _this.infinity = null;
                        }
                        _this.onPageChange(_this.currentPage, !_this.serverSide);
                        _this.definePaddingBottom();
                    }
                    if ('dataLength' in changes) {
                        if (util.isNullOrUndefined(_this.dataLength))
                            _this.dataLength = 0;
                        _this.updatePaginateConfig();
                        _this.definePaddingBottom();
                    }
                    if ('getDataOnInit' in changes)
                        _this.getDataOnInit = (typeof _this.getDataOnInit === 'string' && (_this.getDataOnInit === '' || _this.getDataOnInit === 'true')) ? true : _this.getDataOnInit;
                    if ('loading' in changes) {
                        setTimeout(( /**
                         * @return {?}
                         */function () {
                            if (_this.body)
                                _this.body.scrollEnabled = _this.loading;
                        }));
                        if (_this._height.replace('px', '') === '0' && _this.loading)
                            _this.elRef.nativeElement.style.height = '50px';
                        if (_this.header && _this.header.frmFilter) {
                            if (_this.loading)
                                _this.header.frmFilter.disable();
                            else {
                                _this.header.enableForm();
                                _this.updatePaginateConfig();
                            }
                        }
                    }
                    if ('allItems' in changes) {
                        if (!_this.infinity && _this.currentPage !== 1) {
                            /** @type {?} */
                            var maxPages = Math.floor(_this.dataLength / _this.paginate);
                            if ((_this.dataLength % _this.paginate) !== 0)
                                maxPages++;
                            if (_this.currentPage > maxPages || !_this.currentPage) {
                                _this.currentPage = (_this.currentPage > maxPages) ? maxPages : 1;
                                if (_this.serverSide) {
                                    _this.onPageChange(_this.currentPage);
                                    return;
                                }
                            }
                        }
                        _this.refreshRender();
                    }
                }), 100);
            };
        /**
         * @private
         * @return {?}
         */
        AgTableComponent.prototype.onCheckBodyDimensions = /**
         * @private
         * @return {?}
         */
            function () {
                this.checkBodyWidthChange();
                this.checkBodyHeightChange();
            };
        /**
         * @private
         * @return {?}
         */
        AgTableComponent.prototype.checkBodyWidthChange = /**
         * @private
         * @return {?}
         */
            function () {
                if (this.el) {
                    /** @type {?} */
                    var currentWidth = '100%';
                    if (this.body && this.body.itemsContainerEl && this.body.itemsContainerEl.nativeElement)
                        currentWidth = this.body.itemsContainerEl.nativeElement.clientWidth + 'px';
                    if (currentWidth !== this.lastBodyWidth) {
                        this.lastBodyWidth = currentWidth;
                        this.header.onBodyWidthChange(currentWidth);
                        this.body.onBodyWidthChange(currentWidth);
                    }
                }
            };
        /**
         * @private
         * @return {?}
         */
        AgTableComponent.prototype.checkBodyHeightChange = /**
         * @private
         * @return {?}
         */
            function () {
                if (this.el && this._height !== 'auto') {
                    /** @type {?} */
                    var currentHeight = this.el.clientHeight + 'px';
                    if (currentHeight !== this.lastBodyHeight) {
                        this.lastBodyHeight = currentHeight;
                        this.refreshRender();
                    }
                }
            };
        /**
         * @private
         * @return {?}
         */
        AgTableComponent.prototype.definePaddingBottom = /**
         * @private
         * @return {?}
         */
            function () {
                if (this.el) {
                    /** @type {?} */
                    var padding = '0px';
                    if (!this.infinity && this.paginate !== null)
                        padding = '46px';
                    if (padding !== this.elRef.nativeElement.style.paddingBottom)
                        this.el.style.paddingBottom = padding;
                }
            };
        /**
         * @param {?=} forceDefine
         * @return {?}
         */
        AgTableComponent.prototype.definePaddingTop = /**
         * @param {?=} forceDefine
         * @return {?}
         */
            function (forceDefine) {
                if (forceDefine === void 0) {
                    forceDefine = false;
                }
                if (this.el && this.header) {
                    /** @type {?} */
                    var padding = '0px';
                    if (this.header && this.header.el && this.header.visible)
                        padding = this.header.height;
                    if (forceDefine || padding !== this.elRef.nativeElement.style.paddingTop) {
                        this.paddingTop = padding;
                        if (this.headerShadowEl && this.headerShadowEl.nativeElement)
                            this.headerShadowEl.nativeElement.style.height = padding !== '0px' ? padding : 'auto';
                    }
                }
            };
        /**
         * @private
         * @return {?}
         */
        AgTableComponent.prototype.heightIsValid = /**
         * @private
         * @return {?}
         */
            function () {
                return !util.isNullOrUndefined(this.height) && (typeof this.height === 'string') && this.height !== '' && this.height !== 'auto';
            };
        /**
         * @private
         * @return {?}
         */
        AgTableComponent.prototype.minWidthIsValid = /**
         * @private
         * @return {?}
         */
            function () {
                return !util.isNullOrUndefined(this.minWidth) && (typeof this.minWidth === 'string') && this.minWidth !== '' && this.minWidth !== 'auto';
            };
        /**
         * @private
         * @return {?}
         */
        AgTableComponent.prototype.startListenerWidth = /**
         * @private
         * @return {?}
         */
            function () {
                var _this = this;
                this.stopListenerWidth();
                this.intervalListenerWidth = setInterval(( /**
                 * @return {?}
                 */function () {
                    if (_this.el && _this.minWidthIsValid()) {
                        /** @type {?} */
                        var width = _this.el.clientWidth;
                        /** @type {?} */
                        var minWidth = parseInt(_this.helper.onlyNumbers(_this.minWidth));
                        if (width <= minWidth) {
                            _this.el.style.overflowX = 'auto';
                            _this.el.style.overflowY = 'hidden';
                        }
                        else {
                            _this.el.style.overflowX = '';
                            _this.el.style.overflowY = '';
                        }
                    }
                }), 250);
            };
        /**
         * @private
         * @return {?}
         */
        AgTableComponent.prototype.stopListenerWidth = /**
         * @private
         * @return {?}
         */
            function () {
                if (this.intervalListenerWidth) {
                    clearInterval(this.intervalListenerWidth);
                    this.intervalListenerWidth = null;
                }
            };
        /**
         * @return {?}
         */
        AgTableComponent.prototype.checkMinWidthcanApply = /**
         * @return {?}
         */
            function () {
                if (this.minWidthIsValid()) {
                    if (this.el)
                        this.body.el.style.minWidth = this.minWidth;
                    if (this.paginateComp && this.paginateComp.el)
                        this.paginateComp.el.style.minWidth = this.minWidth;
                }
                else {
                    if (this.body && this.body.el)
                        this.body.el.style.minWidth = '';
                    if (this.paginateComp && this.paginateComp.el)
                        this.paginateComp.el.style.minWidth = '';
                }
            };
        /**
         * @param {?} length
         * @param {?} paginatedLength
         * @return {?}
         */
        AgTableComponent.prototype.setDataLength = /**
         * @param {?} length
         * @param {?} paginatedLength
         * @return {?}
         */
            function (length, paginatedLength) {
                this.dataLength = length;
                this.dataPaginatedLength = paginatedLength;
            };
        /**
         * @param {?} currentPage
         * @param {?=} emit
         * @return {?}
         */
        AgTableComponent.prototype.onPageChange = /**
         * @param {?} currentPage
         * @param {?=} emit
         * @return {?}
         */
            function (currentPage, emit) {
                if (emit === void 0) {
                    emit = true;
                }
                if (this.isPaging) {
                    this.notifyChanges(AgTableChangeAction.PAGINATE);
                    if (emit && this.serverSide) {
                        this.setCurrentPage(currentPage);
                        this.emitGetData();
                    }
                    else if (!this.serverSide) {
                        this.setCurrentPage(currentPage, false);
                        this.prepareItemsPagingAndFilter();
                        this.updatePaginateConfig();
                        this.body.backToTheTop();
                    }
                }
            };
        /**
         * @return {?}
         */
        AgTableComponent.prototype.onSortChange = /**
         * @return {?}
         */
            function () {
                this.notifyChanges(AgTableChangeAction.ORDER);
                if (this.serverSide) {
                    this.setCurrentPage(1);
                    this.emitGetData(this.infinity > 0);
                }
                else {
                    this.prepareItemsPagingAndFilter();
                    this.body.backToTheTop();
                }
            };
        /**
         * @return {?}
         */
        AgTableComponent.prototype.onFilterChange = /**
         * @return {?}
         */
            function () {
                this.notifyChanges(AgTableChangeAction.FILTER);
                if (this.header && this.header.cols) {
                    if (this.header.cols.some(( /**
                     * @param {?} x
                     * @return {?}
                     */function (x) { return x.filterActive; }))) {
                        this.filterActivated.emit(true);
                    }
                    else {
                        this.filterActivated.emit(false);
                    }
                }
                if (this.serverSide) {
                    this.setCurrentPage(1);
                    this.emitGetData(this.infinity > 0);
                }
                else {
                    this.prepareItemsPagingAndFilter();
                    this.updatePaginateConfig();
                    this.body.backToTheTop();
                }
            };
        /**
         * @private
         * @return {?}
         */
        AgTableComponent.prototype.prepareItemsPagingAndFilter = /**
         * @private
         * @return {?}
         */
            function () {
                this.filteredItems = this.dataPrepareService.apply(this.allItems, this);
                if (this.body && this.dataVirtualScrollService.canApplyVirtualScroll(this.body))
                    this.dataVirtualScrollService.defineItens(this.body);
                else {
                    this.items = this.filteredItems;
                    this.isDataEmpty = this.items.length === 0;
                    this.emitDataRender();
                }
            };
        /**
         * @param {?=} resetData
         * @return {?}
         */
        AgTableComponent.prototype.emitGetData = /**
         * @param {?=} resetData
         * @return {?}
         */
            function (resetData) {
                if (resetData === void 0) {
                    resetData = false;
                }
                if (resetData) {
                    this.currentPage = 1;
                    this.dataVirtualScrollService.reset(this.body);
                }
                /** @type {?} */
                var colSort = this.header.colSorting;
                this.onGetData.emit(new AgTableEvent({
                    page: this.currentPage,
                    pageSize: this.paginate ? this.paginate : this.infinity,
                    filters: this.header.getFormDataModel(),
                    order: colSort ? { field: colSort.col.field, asc: colSort.asc } : null,
                    resetData: resetData
                }));
            };
        /**
         * @private
         * @return {?}
         */
        AgTableComponent.prototype.emitDataRender = /**
         * @private
         * @return {?}
         */
            function () {
                this.onDataRender.emit(new AgTableDataRenderEvent({
                    items: this.items,
                    length: this.items.length,
                    startIndex: 0,
                    endIndex: this.items.length - 1
                }));
            };
        /**
         * @param {?} page
         * @param {?=} updateConfig
         * @return {?}
         */
        AgTableComponent.prototype.setCurrentPage = /**
         * @param {?} page
         * @param {?=} updateConfig
         * @return {?}
         */
            function (page, updateConfig) {
                if (updateConfig === void 0) {
                    updateConfig = true;
                }
                this.currentPage = page;
                if (updateConfig)
                    this.updatePaginateConfig();
            };
        /**
         * @private
         * @return {?}
         */
        AgTableComponent.prototype.updatePaginateConfig = /**
         * @private
         * @return {?}
         */
            function () {
                /** @type {?} */
                var visibleLength = this.dataPaginatedLength;
                if (this.serverSide && this.body)
                    visibleLength = this.filteredItems.length;
                /** @type {?} */
                var page = this.paginate ? this.paginate : this.infinity;
                this.paginateCaptionConfig = {
                    start: (page * (this.currentPage - 1)) + 1,
                    end: (page * (this.currentPage - 1)) + visibleLength,
                    total: this.dataLength ? this.dataLength : 0
                };
            };
        /**
         * @private
         * @param {?=} action
         * @return {?}
         */
        AgTableComponent.prototype.notifyChanges = /**
         * @private
         * @param {?=} action
         * @return {?}
         */
            function (action) {
                if (action === void 0) {
                    action = AgTableChangeAction.INITIALIZE;
                }
                this.actionChange = action;
            };
        /**
         * @param {?=} getData
         * @return {?}
         */
        AgTableComponent.prototype.resetFilters = /**
         * @param {?=} getData
         * @return {?}
         */
            function (getData) {
                if (getData === void 0) {
                    getData = false;
                }
                for (var ctrlName in this.header.filterCtrls) {
                    this.header.filterCtrls[ctrlName].reset();
                }
                if (getData)
                    this.emitGetData(true);
            };
        /**
         * @return {?}
         */
        AgTableComponent.prototype.refreshRender = /**
         * @return {?}
         */
            function () {
                if (this.body) {
                    if (!this.body.parent)
                        this.body.parent = this;
                    this.dataVirtualScrollService.preparePreviousItemAfterDataChange(this.body);
                }
                this.prepareItemsPagingAndFilter();
                this.updatePaginateConfig();
                this.definePaddingBottom();
                if (!this.infinity && this.body)
                    this.body.backToTheTop();
            };
        /**
         * @return {?}
         */
        AgTableComponent.prototype.ngOnDestroy = /**
         * @return {?}
         */
            function () {
                this.stopListenerWidth();
            };
        AgTableComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'ag-table',
                        template: "<div #headerShadowEl class=\"top-shadow animated fadeIn\" [ngClass]=\"{'to-drop': topShadow}\"></div>\r\n\r\n<ag-table-paginate *ngIf=\"!infinity && paginate !== null\"\r\n    class=\"animated fadeIn\"\r\n    [ngClass]=\"{ 'to-drop': bottomShadow, 'on-infinity': infinity }\"\r\n    [length]=\"(isPaging && numPages) ? numPages : 1\"\r\n    [current]=\"(isPaging && numPages) ? currentPage : 1\"\r\n    [objCaption]=\"(isPaging && numPages) ? paginateCaptionConfig : { start: 1, end: dataLength, total: 0 }\"\r\n    [loading]=\"loading\"\r\n    [disabled]=\"loading\"\r\n    (change)=\"onPageChange($event)\">\r\n</ag-table-paginate>\r\n\r\n<ng-content></ng-content>\r\n\r\n<div *ngIf=\"loading && (!infinity || currentPage === 1)\" class=\"ag-table-loading animated fadeIn\">\r\n    <ag-table-spinner></ag-table-spinner>\r\n</div>"
                    }] }
        ];
        /** @nocollapse */
        AgTableComponent.ctorParameters = function () {
            return [
                { type: i0.ElementRef },
                { type: Helper },
                { type: AgTablePrepareService },
                { type: AgTableVirtualScrollService }
            ];
        };
        AgTableComponent.propDecorators = {
            class: [{ type: i0.HostBinding, args: ['class.ag-table',] }],
            showEmptyView: [{ type: i0.HostBinding, args: ['class.ag-table-empty',] }],
            queryHeader: [{ type: i0.ContentChildren, args: [AgTableHeaderComponent,] }],
            queryBody: [{ type: i0.ContentChildren, args: [AgTableBodyComponent,] }],
            paginateComp: [{ type: i0.ViewChild, args: [AgTablePaginateComponent,] }],
            headerShadowEl: [{ type: i0.ViewChild, args: ['headerShadowEl',] }],
            loadingEl: [{ type: i0.ViewChild, args: ['headerShadowEl',] }],
            height: [{ type: i0.Input }],
            clickable: [{ type: i0.Input }],
            paginate: [{ type: i0.Input }],
            infinity: [{ type: i0.Input }],
            loading: [{ type: i0.Input }],
            dataLength: [{ type: i0.Input, args: ['data-length',] }],
            serverSide: [{ type: i0.Input, args: ['server-side',] }],
            getDataOnInit: [{ type: i0.Input, args: ['get-data-init',] }],
            currentPage: [{ type: i0.Input, args: ['current-page',] }],
            dataAreOver: [{ type: i0.Input, args: ['data-are-over',] }],
            noEmptyView: [{ type: i0.Input, args: ['no-empty-view',] }],
            minWidth: [{ type: i0.Input, args: ['min-width',] }],
            allItems: [{ type: i0.Input, args: ['items',] }],
            onGetData: [{ type: i0.Output }],
            onDataRender: [{ type: i0.Output }],
            onTableRender: [{ type: i0.Output }],
            filterActivated: [{ type: i0.Output }]
        };
        return AgTableComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var FILTER_TYPES = ( /** @type {?} */(Object.keys(AgTableFilterType).map(( /**
     * @param {?} key
     * @return {?}
     */function (key) { return AgTableFilterType[key]; }))));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var TRANSLATION$7 = {
        CURRENCY_PH: {
            ptBR: 'R$',
            enUS: 'USD'
        },
        DATE_FORMAT: {
            ptBR: 'dd/MM/yyyy',
            enUS: 'yyyy/MM/dd'
        },
        YEAR_INITIAL: {
            ptBR: 'a',
            enUS: 'y',
        }
    };

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var AgTableFilterComponent = /** @class */ (function () {
        function AgTableFilterComponent(helper, langService) {
            this.helper = helper;
            this.langService = langService;
            this.class = true;
            this.currentFilter = '';
            this.type = '';
            this.placeholder = '';
            this.dateFormat = '';
            this.optionAllLabel = '';
            this.options = [];
            /* DISABLED
                @Input() public readOnly: boolean = false;
                @Input() public minDate: Date;
                @Input() public maxDate: Date;
                @Input() public dateSeparator: string = '/'; */
            this.onChange = new i0.EventEmitter();
            this.onRender = new i0.EventEmitter();
            this.selectAllOptionValue = null;
            this.dictionary = TRANSLATION$7;
        }
        Object.defineProperty(AgTableFilterComponent.prototype, "debounceTime", {
            get: /**
             * @private
             * @return {?}
             */ function () {
                if (this.type === 'date' || this.type === 'select')
                    return 0;
                else
                    return 500;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        AgTableFilterComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
                var _this = this;
                setTimeout(( /**
                 * @return {?}
                 */function () {
                    _this.onRender.emit();
                }));
            };
        /**
         * @param {?} changes
         * @return {?}
         */
        AgTableFilterComponent.prototype.ngOnChanges = /**
         * @param {?} changes
         * @return {?}
         */
            function (changes) {
                var _this = this;
                if ('options' in changes) {
                    if (!util.isArray(this.options)) {
                        console.warn('The options of a filter of type "select" was set invalid.');
                        this.options = [];
                    }
                    else if (this.options.length) {
                        if (!util.isObject(this.options[0])) {
                            this.options = (( /** @type {?} */(this.options))).map(( /**
                             * @param {?} x
                             * @return {?}
                             */function (x) {
                                return {
                                    text: x,
                                    value: x
                                };
                            }));
                        }
                        else {
                            this.options = (( /** @type {?} */(this.options))).map(( /**
                             * @param {?} x
                             * @return {?}
                             */function (x) {
                                return {
                                    text: ('text' in x) ? x.text : x.value,
                                    value: ('id' in x) ? x.id : x.value
                                };
                            }));
                        }
                    }
                }
                if ('type' in changes) {
                    if (FILTER_TYPES.every(( /**
                     * @param {?} x
                     * @return {?}
                     */function (x) { return x !== _this.type; })))
                        this.type = AgTableFilterType.TEXT;
                }
                if ('placeholder' in changes) {
                    if (!this.placeholder && this.type === 'date')
                        this.placeholder = this.dateFormat.replace(/y/g, this.langService.getText('YEAR_INITIAL', this.dictionary)).toUpperCase();
                }
                if ('frmControl' in changes) {
                    if (this.subscription)
                        this.subscription.unsubscribe();
                    if (this.frmControl) {
                        this.currentFilter = this.frmControl.value;
                        this.subscription = this.frmControl.valueChanges.pipe(operators.debounceTime(this.debounceTime), operators.map(this.prepareData.bind(this))).subscribe(( /**
                         * @param {?} toFilter
                         * @return {?}
                         */function (toFilter) {
                            if (toFilter && _this.frmControl.enable)
                                _this.onChange.emit(_this.currentFilter);
                        }));
                    }
                    else
                        this.currentFilter = null;
                }
            };
        /**
         * @return {?}
         */
        AgTableFilterComponent.prototype.prepareData = /**
         * @return {?}
         */
            function () {
                if (this.frmControl.disabled) {
                    this.frmControl.disable();
                    return false;
                }
                if (this.type === 'select') {
                    if (this.frmControl.value === 'undefined' || this.frmControl.value === 'null') {
                        this.currentFilter = this.selectAllOptionValue;
                        this.frmControl.setValue(this.currentFilter);
                        return true;
                    }
                }
                if (this.frmControl.value !== this.currentFilter) {
                    if (this.type === 'date') {
                        if (this.frmControl.value && !this.helper.dateIsValid(this.frmControl.value, this.dateFormat)) {
                            this.currentFilter = this.selectAllOptionValue;
                            this.frmControl.setValue(null);
                            return false;
                        }
                    }
                    this.currentFilter = this.frmControl.value;
                    if (typeof this.currentFilter === 'string' && this.currentFilter !== '') {
                        if (this.currentFilter === 'null') {
                            this.currentFilter = null;
                            this.frmControl.setValue(this.currentFilter);
                        }
                        else if (this.currentFilter === 'undefined') {
                            this.currentFilter = undefined;
                            this.frmControl.setValue(this.currentFilter);
                        }
                        else if (this.helper.onlyNumbers(this.currentFilter) === this.currentFilter) {
                            this.currentFilter = parseInt(this.currentFilter);
                            this.frmControl.setValue(this.currentFilter);
                        }
                    }
                }
                else
                    return false;
                return true;
            };
        /**
         * @private
         * @param {?} value
         * @return {?}
         */
        AgTableFilterComponent.prototype.isEmptyValue = /**
         * @private
         * @param {?} value
         * @return {?}
         */
            function (value) {
                return util.isNullOrUndefined(value) || value.toString() === '';
            };
        /**
         * @return {?}
         */
        AgTableFilterComponent.prototype.ngOnDestroy = /**
         * @return {?}
         */
            function () {
                if (this.subscription)
                    this.subscription.unsubscribe();
            };
        AgTableFilterComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'ag-table-filter',
                        template: "<input *ngIf=\"type === 'currency'\"\r\n    class=\"ag-table-filter-input\"\r\n    type=\"text\"\r\n    autocomplete=\"off\"\r\n    [formControl]=\"frmControl\"\r\n    [placeholder]=\"placeholder ? placeholder : (('CURRENCY_PH' | translate:dictionary) + ' 0,00')\"\r\n/>\r\n\r\n<select *ngIf=\"type === 'select'\" \r\n    class=\"ag-table-filter-select\"\r\n    [formControl]=\"frmControl\">\r\n    <option [value]=\"selectAllOptionValue\">{{optionAllLabel}}</option>\r\n    <option *ngFor=\"let option of options\" [value]=\"option.value\">{{option.text}}</option>\r\n</select>\r\n\r\n<input *ngIf=\"type === 'text'\"\r\n    class=\"ag-table-filter-input\"\r\n    [formControl]=\"frmControl\"\r\n    type=\"text\"\r\n    [placeholder]=\"placeholder ? placeholder : ''\"\r\n/>\r\n\r\n<input *ngIf=\"type === 'date'\"\r\n    class=\"ag-table-filter-input\"\r\n    [control]=\"frmControl\"\r\n    [date-format]=\"dateFormat\"\r\n    type=\"text\"\r\n    [placeholder]=\"placeholder ? placeholder : dateFormat.toUpperCase()\"\r\n/>\r\n\r\n<input *ngIf=\"type === 'number'\"\r\n    class=\"ag-table-filter-input\"\r\n    [formControl]=\"frmControl\"\r\n    type=\"text\"\r\n    OnlyNumber\r\n    [placeholder]=\"placeholder ? placeholder : ''\"\r\n/>\r\n"
                    }] }
        ];
        /** @nocollapse */
        AgTableFilterComponent.ctorParameters = function () {
            return [
                { type: Helper },
                { type: AgTableLangService }
            ];
        };
        AgTableFilterComponent.propDecorators = {
            class: [{ type: i0.HostBinding, args: ['class.ag-table-filter',] }],
            type: [{ type: i0.Input }],
            placeholder: [{ type: i0.Input }],
            dateFormat: [{ type: i0.Input }],
            optionAllLabel: [{ type: i0.Input }],
            options: [{ type: i0.Input }],
            frmControl: [{ type: i0.Input }],
            onChange: [{ type: i0.Output }],
            onRender: [{ type: i0.Output }]
        };
        return AgTableFilterComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var TRANSLATION$8 = {};

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var AgTableSpinnerComponent = /** @class */ (function () {
        function AgTableSpinnerComponent() {
            this.class = true;
            this.dictionary = TRANSLATION$8;
        }
        /**
         * @return {?}
         */
        AgTableSpinnerComponent.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
            };
        AgTableSpinnerComponent.decorators = [
            { type: i0.Component, args: [{
                        selector: 'ag-table-spinner',
                        template: "<svg width=\"100\" height=\"100\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\">\r\n\t<circle cx=\"50\" cy=\"50\" r=\"25\" stroke-linecap=\"round\"/>\r\n</svg>"
                    }] }
        ];
        /** @nocollapse */
        AgTableSpinnerComponent.ctorParameters = function () { return []; };
        AgTableSpinnerComponent.propDecorators = {
            class: [{ type: i0.HostBinding, args: ['class.ag-table-spinner',] }]
        };
        return AgTableSpinnerComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var TranslatePipe = /** @class */ (function () {
        function TranslatePipe(langService) {
            this.langService = langService;
        }
        /**
         * @param {?} prop
         * @param {?=} dict
         * @param {?=} replaceObj
         * @return {?}
         */
        TranslatePipe.prototype.transform = /**
         * @param {?} prop
         * @param {?=} dict
         * @param {?=} replaceObj
         * @return {?}
         */
            function (prop, dict, replaceObj) {
                if (dict === void 0) {
                    dict = null;
                }
                /** @type {?} */
                var text = '';
                this.langService.getText(prop, dict, false).subscribe(( /**
                 * @param {?} result
                 * @return {?}
                 */function (result) {
                    if (result !== undefined && typeof (result) === 'string') {
                        if (replaceObj && (typeof replaceObj).includes('object')) {
                            for (var property in replaceObj)
                                result = result.replace("{{" + property + "}}", replaceObj[property]);
                        }
                        text = result;
                    }
                }));
                return text;
            };
        TranslatePipe.decorators = [
            { type: i0.Injectable, args: [{
                        providedIn: 'root'
                    },] },
            { type: i0.Pipe, args: [{
                        name: 'translate',
                        pure: false
                    },] }
        ];
        /** @nocollapse */
        TranslatePipe.ctorParameters = function () {
            return [
                { type: AgTableLangService }
            ];
        };
        /** @nocollapse */ TranslatePipe.ngInjectableDef = i0.defineInjectable({ factory: function TranslatePipe_Factory() { return new TranslatePipe(i0.inject(AgTableLangService)); }, token: TranslatePipe, providedIn: "root" });
        return TranslatePipe;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var DateFormatDirective = /** @class */ (function () {
        function DateFormatDirective(helper, settings) {
            this.helper = helper;
            this.settings = settings;
            this.keyCodesAccepts = [8, 9, 37, 38, 39, 40];
            this.ctrlDown = false;
            this.pasting = false;
            this.datePipe = new common.DatePipe(settings.lang);
        }
        /**
         * @return {?}
         */
        DateFormatDirective.prototype.ngOnInit = /**
         * @return {?}
         */
            function () {
                var _this = this;
                /** @type {?} */
                var regexStr = '^\\d';
                if (this.dateFormat) {
                    if (!this.dateFormat.includes('-') && !this.dateFormat.includes('/')) {
                        if (this.dateFormat.toLowerCase() === 'dd')
                            regexStr += '(0[1-9]|[12][0-9]|3[01])$';
                        else if (this.dateFormat.toLowerCase() === 'mm')
                            regexStr += '(0[1-9]|1[012])$';
                        else if (this.dateFormat.toLowerCase() === 'yyyy')
                            regexStr += '{4}$';
                    }
                    else if (this.dateFormat.includes('-') || this.dateFormat.includes('/')) {
                        this.dateSeparator = this.dateFormat.includes('-') ? '-' : '/';
                        /** @type {?} */
                        var splitted = this.dateFormat.split(this.dateSeparator);
                        splitted.forEach(( /**
                         * @param {?} division
                         * @param {?} i
                         * @return {?}
                         */function (division, i) {
                            /** @type {?} */
                            var divisionRegex = '';
                            if (division.toLowerCase() === 'dd')
                                divisionRegex = '(0[1-9]|[12][0-9]|3[01])';
                            else if (division.toLowerCase() === 'mm')
                                divisionRegex = '(0[1-9]|1[012])';
                            else if (division.toLowerCase() === 'yyyy')
                                divisionRegex = '{4}';
                            if (divisionRegex)
                                regexStr += (regexStr !== '^\\d' ? _this.dateSeparator : '') + divisionRegex;
                        }));
                        regexStr += '$';
                    }
                }
                if (regexStr === '^\\d') {
                    this.dateSeparator = '/';
                    this.dateFormat = 'dd/MM/yyyy';
                    regexStr = '^\\d{4}/(0[1-9]|1[012])/(0[1-9]|[12][0-9]|3[01])$';
                }
                this.regex = new RegExp(regexStr, 'g');
            };
        /**
         * @param {?} e
         * @return {?}
         */
        DateFormatDirective.prototype.onKeydown = /**
         * @param {?} e
         * @return {?}
         */
            function (e) {
                var _this = this;
                /** @type {?} */
                var input = ( /** @type {?} */(e.target));
                /** @type {?} */
                var code = e.keyCode;
                /** @type {?} */
                var key = e.key.toLowerCase();
                if (code == 17 || code == 91)
                    this.ctrlDown = true;
                if (this.keyCodesAccepts.some(( /**
                 * @param {?} x
                 * @return {?}
                 */function (x) { return x === code; })) || (this.ctrlDown && (code == 86 || code == 67 || key === 'a' || key === 'x'))) {
                    if ((this.ctrlDown && key === 'x') || code === 8) {
                        if ((input.selectionStart === 0 && input.selectionEnd === input.value.length) || input.value.length === 1)
                            setTimeout(( /**
                             * @return {?}
                             */function () { return _this.onBlur(e); }));
                    }
                }
                else {
                    /** @type {?} */
                    var object = this.generateValue(input.value, e.key);
                    if (!util.isNullOrUndefined(object.validValue.match(this.regex))) {
                        input.value = object.formatedValue;
                        if (input.value.length === this.dateFormat.length)
                            this.onBlur(e);
                    }
                    event.preventDefault();
                    return false;
                }
            };
        /**
         * @param {?} e
         * @return {?}
         */
        DateFormatDirective.prototype.onKeyup = /**
         * @param {?} e
         * @return {?}
         */
            function (e) {
                if (e.keyCode == 17 || e.keyCode == 91)
                    this.ctrlDown = false;
            };
        /**
         * @param {?} e
         * @return {?}
         */
        DateFormatDirective.prototype.onPaste = /**
         * @param {?} e
         * @return {?}
         */
            function (e) {
                var _this = this;
                if (!this.pasting) {
                    /** @type {?} */
                    var input_1 = ( /** @type {?} */(e.target));
                    /** @type {?} */
                    var prevValue_1 = input_1.value;
                    this.pasting = true;
                    setTimeout(( /**
                     * @return {?}
                     */function () {
                        _this.pasting = false;
                        /** @type {?} */
                        var value = _this.helper.onlyNumbers(input_1.value, [_this.dateFormat]);
                        /** @type {?} */
                        var object = _this.generateValue(value);
                        if (!util.isNullOrUndefined(object.validValue.match(_this.regex))) {
                            input_1.value = object.formatedValue;
                            if (input_1.value.length === _this.dateFormat.length)
                                _this.onBlur(e);
                        }
                        else
                            input_1.value = prevValue_1;
                    }));
                }
            };
        /**
         * @param {?} e
         * @return {?}
         */
        DateFormatDirective.prototype.onCut = /**
         * @param {?} e
         * @return {?}
         */
            function (e) {
                var _this = this;
                if (!this.pasting) {
                    /** @type {?} */
                    var input_2 = ( /** @type {?} */(e.target));
                    this.pasting = true;
                    setTimeout(( /**
                     * @return {?}
                     */function () {
                        _this.pasting = false;
                        /** @type {?} */
                        var value = _this.helper.onlyNumbers(input_2.value, [_this.dateFormat]);
                        /** @type {?} */
                        var object = _this.generateValue(value);
                        if (!util.isNullOrUndefined(object.validValue.match(_this.regex))) {
                            input_2.value = object.formatedValue;
                        }
                        else
                            input_2.value = '';
                        _this.onBlur(e);
                    }));
                }
            };
        /**
         * @param {?} e
         * @return {?}
         */
        DateFormatDirective.prototype.onBlur = /**
         * @param {?} e
         * @return {?}
         */
            function (e) {
                if (this.formControl) {
                    /** @type {?} */
                    var input = ( /** @type {?} */(e.target));
                    this.formControl.setValue(input.value);
                }
            };
        /**
         * @private
         * @param {?} currentValue
         * @param {?=} nextChar
         * @return {?}
         */
        DateFormatDirective.prototype.generateValue = /**
         * @private
         * @param {?} currentValue
         * @param {?=} nextChar
         * @return {?}
         */
            function (currentValue, nextChar) {
                if (nextChar === void 0) {
                    nextChar = null;
                }
                /** @type {?} */
                var object = {
                    validValue: currentValue,
                    formatedValue: '',
                };
                if (currentValue.length !== this.dateFormat.length) {
                    /** @type {?} */
                    var newValue = '';
                    if (this.dateSeparator) {
                        for (var i = 0; i < this.dateFormat.length; i++) {
                            /** @type {?} */
                            var format = this.dateFormat[i];
                            /** @type {?} */
                            var length_1 = i + 1;
                            if (length_1 <= currentValue.length)
                                newValue += currentValue[i];
                            else if ((length_1 - 1) === currentValue.length) {
                                if (format === this.dateSeparator) {
                                    newValue += format;
                                    if (nextChar)
                                        i++;
                                }
                                newValue += nextChar ? nextChar : '1';
                                object.formatedValue = newValue;
                            }
                            else
                                newValue += (format !== this.dateSeparator) ? '1' : format;
                        }
                    }
                    object.validValue = newValue;
                }
                if (!object.formatedValue)
                    object.formatedValue = object.validValue;
                return object;
            };
        /**
         * @param {?} value
         * @return {?}
         */
        DateFormatDirective.prototype.maskDate = /**
         * @param {?} value
         * @return {?}
         */
            function (value) {
            };
        DateFormatDirective.decorators = [
            { type: i0.Directive, args: [{
                        selector: '[date-format]'
                    },] }
        ];
        /** @nocollapse */
        DateFormatDirective.ctorParameters = function () {
            return [
                { type: Helper },
                { type: AgTableSettings }
            ];
        };
        DateFormatDirective.propDecorators = {
            dateFormat: [{ type: i0.Input, args: ['date-format',] }],
            formControl: [{ type: i0.Input, args: ['control',] }],
            onKeydown: [{ type: i0.HostListener, args: ['keydown', ['$event'],] }],
            onKeyup: [{ type: i0.HostListener, args: ['keyup', ['$event'],] }],
            onPaste: [{ type: i0.HostListener, args: ['paste', ['$event'],] }],
            onCut: [{ type: i0.HostListener, args: ['cut', ['$event'],] }],
            onBlur: [{ type: i0.HostListener, args: ['blur', ['$event'],] }]
        };
        return DateFormatDirective;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var AgTableModule = /** @class */ (function () {
        function AgTableModule() {
        }
        AgTableModule.decorators = [
            { type: i0.NgModule, args: [{
                        imports: [
                            common.CommonModule,
                            router.RouterModule,
                            forms.FormsModule,
                            forms.ReactiveFormsModule,
                        ],
                        declarations: [
                            AgTableComponent,
                            AgTableHeaderComponent,
                            AgTableBodyComponent,
                            AgTableRowComponent,
                            AgTableCellComponent,
                            AgTableColComponent,
                            AgTableFilterComponent,
                            AgTablePaginateComponent,
                            AgTableSpinnerComponent,
                            // Pipes
                            TranslatePipe,
                            // Directives
                            DateFormatDirective
                        ],
                        exports: [
                            AgTableComponent,
                            AgTableHeaderComponent,
                            AgTableBodyComponent,
                            AgTableRowComponent,
                            AgTableCellComponent,
                            AgTableColComponent
                        ],
                        bootstrap: [],
                        providers: [
                            AgTablePrepareService,
                            AgTableVirtualScrollService,
                            AgTableCustomSettings,
                            AgTableSettings,
                            AgTableLangService,
                            Helper
                        ],
                        entryComponents: []
                    },] },
            { type: i0.Injectable }
        ];
        return AgTableModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    exports.AgTableModule = AgTableModule;
    exports.AgTableCustomSettings = AgTableCustomSettings;
    exports.AgTableFilterMode = AgTableFilterMode;
    exports.AgTableFilterType = AgTableFilterType;
    exports.AgTableEvent = AgTableEvent;
    exports.AgTableDataRenderEvent = AgTableDataRenderEvent;
    exports.AgTableVirtualScrollModel = AgTableVirtualScrollModel;
    exports.FILTER_TYPES = FILTER_TYPES;
    exports.ɵg = AgTableBodyComponent;
    exports.ɵi = AgTableCellComponent;
    exports.ɵc = AgTableColComponent;
    exports.ɵm = AgTableFilterComponent;
    exports.ɵb = AgTableHeaderComponent;
    exports.ɵk = AgTablePaginateComponent;
    exports.ɵh = AgTableRowComponent;
    exports.ɵn = AgTableSpinnerComponent;
    exports.ɵf = AgTableSettings;
    exports.ɵa = AgTableComponent;
    exports.ɵp = DateFormatDirective;
    exports.ɵo = TranslatePipe;
    exports.ɵe = AgTableLangService;
    exports.ɵl = AgTablePrepareService;
    exports.ɵj = AgTableVirtualScrollService;
    exports.ɵd = Helper;

    Object.defineProperty(exports, '__esModule', { value: true });

})));

//# sourceMappingURL=ag-table.umd.js.map