import { OnInit } from '@angular/core';
import { Helper } from '../services/helper';
import { AgTableSettings } from '../ag-table.settings';
import { AbstractControl } from '@angular/forms';
export declare class DateFormatDirective implements OnInit {
    private helper;
    private settings;
    private regex;
    private keyCodesAccepts;
    private datePipe;
    private dateSeparator;
    private ctrlDown;
    private pasting;
    dateFormat: string;
    formControl: AbstractControl;
    constructor(helper: Helper, settings: AgTableSettings);
    ngOnInit(): void;
    onKeydown(e: any): boolean;
    onKeyup(e: any): void;
    onPaste(e: any): void;
    onCut(e: any): void;
    onBlur(e: any): void;
    private generateValue;
    maskDate(value: string): void;
}
